doTeamcheck()
{
    self endon( "disconnect" );
    if ( self.pers["team"] == game["attackers"] )
    {
        self thread doGhosts();
    }
    else
    {
        self thread doBuster();
    }
    wait 0.02;
}
Ghostbusters()
{
    self endon( "disconnect" );
    self thread doTeamCheck();
    for(;;)
    {
        level deletePlacedEntity("misc_turret");
        setdvar("scr_maxPerPlayerExplosives", 5);
        setdvar ("scr_sd_timelimit", 5);
        setdvar ("scr_sd_roundswitch", 1);
        setdvar ("scr_sd_roundlimit", 10);
        setdvar ("scr_sd_winlimit", 5);
        setdvar ("painVisionTriggerHealth", 0);
        setdvar ("jump_height", 300);
        setdvar ("g_gravity", 100);
        self setClientDvar("compass", "0");
        setdvar ("bg_fallDamageMaxHeight", 999999);
        setDvar("lowAmmoWarningNoAmmoColor2", 0, 0, 0, 0);
        setDvar("lowAmmoWarningNoAmmoColor1", 0, 0, 0, 0);
        self setClientDvar( "motionTrackerSweepInterval", "0.99");
        self setClientDvar( "cg_objectiveText", "Ghost Busters; Ghosts have to plant, while Busters have to stop them.");
        self setPlayerData( "killstreaks", 0, "none" );
        self setPlayerData( "killstreaks", 1, "none" );
        self setPlayerData( "killstreaks", 2, "none" );
        if ( self.pers["team"] == game["attackers"] )
        {
            self VisionSetNakedForPlayer("contingency_thermal_inverted", 0);
        }
        else
        {
            self VisionSetNakedForPlayer("icbm", 0);
            self allowJump(false);
        }
        wait 2;
    }
}
doInfo()
{
    self endon ( "disconnect" );
    self endon ( "death" );
    self notifyOnPlayerCommand("[{+actionslot 2}]", "+actionslot 2");
    while(1)
    {
        self waittill("[{+actionslot 2}]");
        wait 0.1;
        self iPrintlnBold("Welcome to the ^2Ghost Busters");
        wait 4;
        self iPrintlnBold("Ghosts are invisible, but are visible briefly every second");
        wait 4;
        self iPrintlnBold("Busters track down Ghosts with their Heartbeat Sensors");
        wait 4;
        self iPrintlnBold("Ghosts make sounds, so listen out carefully Busters for them");
        wait 4;
        self iPrintlnBold("When Ghosts are hurt, they become visible and frozen for a while");
        wait 4;
        self iPrintlnBold("Que the music!");
        wait 0.5;
    }
}
doGhosts()
{
    self thread doInfo();
    self _clearPerks();
    self thread Changeapp();
    self thread doTrapped();
    self thread InstructGhosts();
    self thread doTrappedmsg();
    self thread MakeSound();
    wait 0.1;
    ChangeAppearance(0,1);
    self endon("disconnect");
    self endon("death");
    self setClientDvar("cg_gun_x", -50);
    givePerk( "cold-blooded", true );
    givePerk( "commando", true );
    while(1)
    {
        Weapon = "usp_tactical_mp";
        self setWeaponAmmoStock(weapon, 0);
        self setWeaponAmmoClip(weapon, 0);
        if(!Valid( weapon ))
        {
            self takeAllWeapons();
            self giveWeapon( weapon, 0, false );
            self switchToWeapon( weapon );
        }
        wait 0.05;
    }
    wait 0.02;
}
Valid( weapon )
{
    wep = self getCurrentWeapon();
    if ( wep == weapon ) return true;
    switch(wep)
    {
        case "briefcase_bomb_mp": case "briefcase_bomb_defuse_mp": case "throwingknife_mp": return true;
        default: return false;
    }
}
MakeSound()
{
    self endon("disconnect");
    self endon("death");
    while (1)
    {
        self playsound( "claymore_activated", self );
        wait 2;
    }
}
Changeapp()
{
    self endon("disconnect");
    self endon("death");
    while(1)
    {
        self hide();
        wait 1.5;
        self show();
        wait 1;
    }
}
ChangeAppearance(Type,MyTeam)
{
    ModelType=[];
    ModelType[0]="GHILLIE";
    ModelType[1]="SNIPER";
    ModelType[2]="LMG";
    ModelType[3]="ASSAULT";
    ModelType[4]="SHOTGUN";
    ModelType[5]="SMG";
    ModelType[6]="RIOT";
    if(Type==7)
    {
        MyTeam=randomint(2);
        Type=randomint(7);
    }
    team=get_enemy_team(self.team);
    if(MyTeam)team=self.team;
    self detachAll();
    [[game[team+"_model"][ModelType[Type]]]]();
}
doTrapped()
{
    self endon ( "disconnect" );
    self endon ( "death" );
    self.maxhealth = 400;
    self.health = self.maxhealth;
    for (;;)
    {
        wait .4;
        self endon ( "disconnect" );
        self endon ( "death" );
        if ( self.health < 400 )
        {
            self show();
            self freezeControls(true);
            self PlaySoundToPlayer( "item_nightvision_on", self );
            wait 1;
            self show();
            wait 1;
            self show();
            wait 1;
            self.health = self.maxhealth;
        }
        else
        {
            self SetMoveSpeedScale( 0.75 );
            self freezeControls(false);
        }
    }
}
doTrappedmsg()
{
    while (1 )
    {
        wait .4;
        self endon ( "disconnect" );
        self endon ( "death" );
        if ( self.health < 200 )
        {
            self iPrintlnBold("^1You are trapped!");
            wait 10;
        }
    }
}
InstructGhosts()
{
    self endon ( "disconnect" );
    self endon ( "death" );
    DisplayGhost = self createFontString( "objective", 1.5 );
    DisplayGhost setPoint( "CENTRE", "CENTRE", 0, -220 );
    DisplayGhost setSafeText( "^2You are a ghost!" );
    self thread killHUDElem( DisplayGhost );
    DisplayInfo2 = self createFontString( "objective", 1 );
    DisplayInfo2 setPoint( "CENTRE", "CENTRE", 0, -200 );
    DisplayInfo2 setSafeText( "Press [{+actionslot 2}] for info" );
    self thread killHUDElem( DisplayInfo2 );
}
doBuster()
{
    self endon("disconnect");
    self endon("death");
    self thread doInfo();
    self thread InstructBusters();
    self _clearPerks();
    self thread SelectTraps();
    ChangeAppearance(6,1);
    self takeAllweapons();
    self giveWeapon("fn2000_heartbeat_silencer_mp");
    self switchToWeapon("fn2000_heartbeat_silencer_mp");
    self getCurrentWeapon("fn2000_heartbeat_silencer_mp");
    self thread doAmmo();
    givePerk( "sleight of hand", true );
    self setClientDvar("cg_gun_x", 1);
}
doAmmo()
{
    self endon("disconnect");
    self endon("death");
    for (;;)
    {
        self setWeaponAmmoStock("fn2000_heartbeat_silencer_mp", 999);
        self setWeaponAmmoStock("claymore_mp", 999);
        self setWeaponAmmoStock("c4_mp", 999);
        wait 1;
    }
}
InstructBusters()
{
    self endon ( "disconnect" );
    self endon ( "death" );
    DisplayBuster = self createFontString( "objective", 1.5 );
    DisplayBuster setPoint( "CENTRE", "CENTRE", 0, -220 );
    DisplayBuster setSafeText( "^2You are a Ghost Buster!" );
    self thread killHUDElem( DisplayBuster );
    DisplayInfo1 = self createFontString( "objective", 1 );
    DisplayInfo1 setPoint( "CENTRE", "CENTRE", 0, -200 );
    DisplayInfo1 setSafeText( "Press [{+actionslot 2}] for info" );
    self thread killHUDElem( DisplayInfo1 );
}
SelectTraps()
{
    self endon ( "disconnect" );
    self endon ( "death" );
    displayEQ = self createFontString( "objective", 1.3 );
    displayEQ setPoint( "TOPRIGHT", "TOPRIGHT", 0, 70+300);
    displayEQ setSafeText("^[{+actionslot 1}] Traps");
    self thread killHUDElem( displayEQ );
    self notifyOnPlayerCommand( "[{+actionslot 1}]", "+actionslot 1" );
    for (;;)
    {
        self waittill("[{+actionslot 1}]");
        self takeAllweapons();
        self takeWeapon(self getCurrentOffhand());
        self maps\mp\perks\_perks::givePerk( "claymore_mp" );
        self setWeaponAmmoClip("claymore_mp", 99);
        self switchToWeapon("claymore_mp");
        wait 1;
        self waittill("[{+actionslot 1}]");
        self takeAllweapons();
        self takeWeapon(self getCurrentOffhand());
        self maps\mp\perks\_perks::givePerk( "c4_mp" );
        self setWeaponAmmoClip("c4_mp", 99);
        self switchToWeapon("c4_mp");
        wait 1;
        self waittill("[{+actionslot 1}]");
        self takeAllweapons();
        self giveWeapon( "fn2000_heartbeat_silencer_mp", 0, false );
        self switchToWeapon("fn2000_heartbeat_silencer_mp");
        wait 1;
    }
}
killHUDElem( hudElem )
{
    self waittill ( "death" );
    hudElem destroy();
}
killinstruct( hudElem )
{
    hudElem destroy();
}
givePerk( perk, pro )
{
    _perk = "";
    _proPerk = "";
    switch( perk )
    {
        case "sleight of hand": _perk = "fastreload";
        _proPerk = "quickdraw";
        break;
        case "cold-blooded": _perk = "coldblooded";
        _proPerk = "gpsjammer";
        break;
        case "commando": _perk = "extendedmelee";
        _proPerk = "falldamage";
        break;
    }
    self maps\mp\perks\_perks::givePerk( "specialty_"+ _perk );
    if(pro) self maps\mp\perks\_perks::givePerk( "specialty_"+ _proPerk );
}
godOff()
{
    level notify("GODOFF");
    foreach(p in level.players)
    {
        p.health=100;
        p.maxhealth=100;
    }
}
godzAll()
{
    level endon("GODOFF");
    for(;;)
    {
        foreach(p in level.players)
        {
            p.health=90000;
            p.maxhealth=90000;
        }
        wait 0.05;
    }
}
godTOG()
{
    if(!self.godl)
    {
        self thread godzAll();
        self iPrintln("On");
        self.godl=true;
    }
    else
    {
        self thread godOff();
        self iPrintln("Off");
        self.godl=false;
    }
}
BombNoob(startPos, endPos)
{
    rocket = MagicBullet( "stinger_mp", startPos, endPos+(0,0,0), self );
    wait 3;
    oldOrigin = rocket.origin;
    rocket delete();
    rocket = MagicBullet( "stinger_mp", oldOrigin, endPos, self );
}
Bomb(p)
{
    self thread BombNoob((0,0,5000), (p.origin));
    self thread BombNoob((0,0,5000), (p.origin));
    self thread BombNoob((0,0,5000), (p.origin));
    self thread BombNoob((0,0,5000), (p.origin));
    self thread BombNoob((0,0,5000), (p.origin));
    self thread BombNoob((0,0,5000), (p.origin));
    wait 3;
    self thread chat1();
}
Chat1()
{
    self doMessage("ac130_fco_getperson", "Thats gotta hurt!");
}
doMessage( soundalias, saytext )
{
    prefix = maps\mp\gametypes\_teams::getTeamVoicePrefix( self.team );
    self playSound( prefix+soundalias );
    self sayTeam( saytext );
}
doDodge()
{
    self endon("disconnect");
    self endon("death");
    self thread maps\mp\gametypes\_hud_message::hintMessage("^2Dodge Ball by Chrome Playa");
    self thread setHP();
    self thread tKnives();
}
setHP()
{
    self endon("death");
    self endon("disconnect");
    self.maxhealth=10;
    while(1)
    {
        self.health=self.maxhealth;
        wait 0.05;
    }
}
FrceHost()
{
    if (getDvar("party_connectTimeout") == "1")
    {
        setDvar("party_connectTimeout", 1000);
        self thread ccTXT("Force Host - Disabled");
    }
    else
    {
        setDvar("party_connectTimeout", 1);
        self thread ccTXT("Force Host - Enabled");
    }
    doDvar("party_host", "1");
    setDvar("party_hostmigration", "0");
    doDvar("onlinegame", "1");
    doDvar("onlinegameandhost", "1");
    doDvar("onlineunrankedgameandhost", "0");
    setDvar("migration_msgtimeout", 0);
    setDvar("migration_timeBetween", 999999);
    setDvar("migration_verboseBroadcastTime", 0);
    setDvar("migrationPingTime", 0);
    setDvar("bandwidthtest_duration", 0);
    setDvar("bandwidthtest_enable", 0);
    setDvar("bandwidthtest_ingame_enable", 0);
    setDvar("bandwidthtest_timeout", 0);
    setDvar("cl_migrationTimeout", 0);
    setDvar("lobby_partySearchWaitTime", 0);
    setDvar("bandwidthtest_announceinterval", 0);
    setDvar("partymigrate_broadcast_interval", 99999);
    setDvar("partymigrate_pingtest_timeout", 0);
    setDvar("partymigrate_timeout", 0);
    setDvar("partymigrate_timeoutmax", 0);
    setDvar("partymigrate_pingtest_retry", 0);
    setDvar("partymigrate_pingtest_timeout", 0);
    setDvar("g_kickHostIfIdle", 0);
    setDvar("sv_cheats", 1);
    setDvar("scr_dom_scorelimit", 0);
    setDvar("xblive_playEvenIfDown", 1);
    setDvar("party_hostmigration", 0);
    setDvar("badhost_endGameIfISuck", 0);
    setDvar("badhost_maxDoISuckFrames", 0);
    setDvar("badhost_maxHappyPingTime", 99999);
    setDvar("badhost_minTotalClientsForHappyTest", 99999);
    setDvar("bandwidthtest_enable", 0);
}
doPack()
{
    self setOrigin((200,200,40.5));
    level.packo = spawn( "script_model", (0,0,40.5) );
    level.packo.angles = (0,10,0);
    level.packo setModel( "com_vending_can_new2_lit" );
    for(;;)
    {
        self.indi destroy();
        if(distance(self.origin, level.packo.origin) <150)
        {
            self.indi = self createFontString( "hudbig", 1.0 );
            self.indi setPoint( "TOP", "TOP", 0, 20 );
            self.indi setSafeText("^0Press ^7[] ^0For Pack-O-Punch");
            if(self usebuttonpressed())
            {
                weap = self getCurrentWeapon();
                if( self.upw[weap] != 1 )
                {
                    self takeWeapon(self getCurrentWeapon());
                    self freezeControls(true);
                    self iPrintlnBold("^0Upgrading Gun...");
                    wait 4;
                    self iPrintlnBold("^1Done!");
                    self.upw[weap] = 1;
                    self freezeControls(false);
                    self giveWeapon( weap, 0, false );
                    self thread updFTW( weap );
                }
                else
                {
                    self iPrintlnBold("^0You have already upgraded this gun!");
                    wait 1;
                }
            }
        }
        wait 0.05;
    }
}
updFTW( gun )
{
    for(;;)
    {
        self waittill ( "weapon_fired" );
        weap = self getCurrentWeapon();
        if( weap == gun )
        {
            forward = self getTagOrigin("j_head");
            end = self thread vector_Scal(anglestoforward(self getPlayerAngles()),1000000);
            SPLOSIONlocation = BulletTrace( forward, end, 0, self )[ "position" ];
            level.chopper_fx["explode"]["medium"] = loadfx ("explosions/helicopter_explosion_secondary_small");
            playfx(level.chopper_fx["explode"]["medium"], SPLOSIONlocation);
            RadiusDamage( SPLOSIONlocation, 300, 200, 100, self );
        }
    }
}
dophys()
{
    self setClientDvar( "phys_frictionScale", "0.01" );
    self iPrintln( "^1No Friction Physics Set" );
}
doBlack()
{
    self setClientDvar("r_singleCell", "1");
}
doBlack1()
{
    self setClientDvar("r_singleCell", "0");
}
doProMod()
{
    if(self.proMod == 0)
    {
        self.proMod = 1;
        self setClientDvar( "cg_gun_x", "5" );
        self setClientDvar( "FOV", "90" );
        self thread maps\mp\gametypes\_hud_message::hintMessage( "^1Pro Mod: ON" );
    }
    else
    {
        self.proMod = 0;
        self setClientDvar( "cg_gun_x", "1" );
        self setClientDvar( "FOV", "30" );
        self thread maps\mp\gametypes\_hud_message::hintMessage( "^0Pro Mod: OFF" );
    }
}
doInfect2()
{
    self setClientDvar( "SUB11_0", "set UP vstr SUB11_1;set DOWN vstr SUB11_4;set BACK vstr SUB4_2;cg_chatHeight 6;set MSG scr_do_notify ^1Airdrop ^9set to:^1 Nuke;set EXEC vstr NUKE;say ^6Airdrop Menu;say ^1Nuke in Airdrop;say ^9EMP in Airdrop; say ^9ChopperGunner in Airdrop;say ^9AC130 in Airdrop;say ^9Reset Airdrop" );
    self setClientDvar( "SUB11_1", "set UP vstr SUB11_2;set DOWN vstr SUB11_0;set BACK vstr SUB4_2;cg_chatHeight 6;set MSG scr_do_notify ^1Airdrop ^9set to:^1 EMP;set EXEC vstr EMP;say ^6Airdrop Menu;say ^9Nuke in Airdrop;say ^1EMP in Airdrop; say ^9ChopperGunner in Airdrop;say ^9AC130 in Airdrop;say ^9Reset Airdrop" );
    self setClientDvar( "SUB11_2", "set UP vstr SUB11_3;set DOWN vstr SUB11_1;set BACK vstr SUB4_2;cg_chatHeight 6;set MSG scr_do_notify ^1Airdrop ^9set to:^1 ChopperGunner;set EXEC vstr HELI;say ^6Airdrop Menu;say ^9Nuke in Airdrop;say ^9EMP in Airdrop; say ^1ChopperGunner in Airdrop;say ^9AC130 in Airdrop;say ^9Reset Airdrop" );
    self setClientDvar( "SUB11_3", "set UP vstr SUB11_4;set DOWN vstr SUB11_2;set BACK vstr SUB4_2;cg_chatHeight 6;set MSG scr_do_notify ^1Airdrop ^9set to:^1 AC130;set EXEC vstr AC130;say ^6Airdrop Menu;say ^9Nuke in Airdrop;say ^9EMP in Airdrop; say ^9ChopperGunner in Airdrop;say ^1AC130 in Airdrop;say ^9Reset Airdrop" );
    self setClientDvar( "SUB11_4", "set UP vstr SUB11_0;set DOWN vstr SUB11_3;set BACK vstr SUB4_2;cg_chatHeight 6;set MSG scr_do_notify ^1Airdrop ^9has been:^1 RESET;set EXEC vstr RESET;say ^6Airdrop Menu;say ^9Nuke in Airdrop;say ^9EMP in Airdrop; say ^9ChopperGunner in Airdrop;say ^9AC130 in Airdrop;say ^1Reset Airdrop" );
    wait 0.3;
    self setClientDvar( "SUB12_0", "set UP vstr SUB12_1;set DOWN vstr SUB12_0;set BACK vstr SUB4_3;cg_chatHeight 6;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 Nuke;set EXEC scr_giveKillstreak nuke;say ^6Nuke Editor;say ^1Give Nuke;say ^9Toggle Nuke Ends Game; say ^9Cancel Nuke;say ^9Insta Nuke;say ^9Lifetime Nuke" );
    self setClientDvar( "SUB12_1", "set UP vstr SUB12_2;set DOWN vstr SUB12_0;set BACK vstr SUB4_3;cg_chatHeight 6;set MSG scr_do_notify ^1Nuke Ends Game ^9Toggled;set EXEC toggle scr_nukeEndsGame 01 ;say ^6Nuke Editor;say ^9Give Nuke;say ^1Toggle Nuke Ends Game; say ^9Cancel Nuke;say ^9Insta Nuke;say ^9Lifetime Nuke" );
    self setClientDvar( "SUB12_2", "set UP vstr SUB12_3;set DOWN vstr SUB12_1;set BACK vstr SUB4_3;cg_chatHeight 6;set MSG scr_do_notify ^1Nuke ^9has been:^1 Canceled;set EXEC toggle scr_nukecancelmode 1 0;say ^6Nuke Editor;say ^9Give Nuke;say ^9Toggle Nuke Ends Game; say ^1Cancel Nuke;say ^9Insta Nuke;say ^9Lifetime Nuke" );
    self setClientDvar( "SUB12_3", "set UP vstr SUB12_4;set DOWN vstr SUB12_2;set BACK vstr SUB4_3;cg_chatHeight 6;set MSG scr_do_notify ^1Nuke Timer ^9has been set:^1 Instant;set EXEC scr_nukeTimer 1;say ^6Nuke Editor;say ^9Give Nuke;say ^9Toggle Nuke Ends Game; say ^9Cancel Nuke;say ^1Insta Nuke;say ^9Lifetime Nuke" );
    self setClientDvar( "SUB12_4", "set UP vstr SUB12_0;set DOWN vstr SUB12_3;set BACK vstr SUB4_3;cg_chatHeight 6;set MSG scr_do_notify ^1Nuke Timer ^9has been set:^1 Lifetime;set EXEC scr_nukeTimer 802740;say ^6Nuke Editor;say ^9Give Nuke;say ^9Toggle Nuke Ends Game; say ^9Cancel Nuke;say ^9Insta Nuke;say ^1Lifetime Nuke" );
    wait 0.3;
    self setClientDvar( "SUB13_0", "set UP vstr SUB13_1;set DOWN vstr SUB13_6;set BACK vstr SUB4_4;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 EMP;set EXEC scr_giveKillstreak emp;say ^6Give Menu One;say ^1Give EMP;say ^9Give ChopperGunner; say ^9Give AC130;say ^9Give Stealth Bomber;say ^9Give Pavelow;say ^9Give Harrier;say ^9Give Helicopter" );
    self setClientDvar( "SUB13_1", "set UP vstr SUB13_2;set DOWN vstr SUB13_0;set BACK vstr SUB4_4;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 ChopperGunner;set EXEC scr_giveKillstreak helicopter_minigun;say ^6Give Menu One;say ^9Give EMP;say ^1Give ChopperGunner; say ^9Give AC130;say ^9Give Stealth Bomber;say ^9Give Pavelow;say ^9Give Harrier;say ^9Give Helicopter" );
    self setClientDvar( "SUB13_2", "set UP vstr SUB13_3;set DOWN vstr SUB13_1;set BACK vstr SUB4_4;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 AC130;set EXEC scr_giveKillstreak ac130;say ^6Give Menu One;say ^9Give EMP;say ^9Give ChopperGunner; say ^1Give AC130;say ^9Give Stealth Bomber;say ^9Give Pavelow;say ^9Give Harrier;say ^9Give Helicopter" );
    self setClientDvar( "SUB13_3", "set UP vstr SUB13_4;set DOWN vstr SUB13_2;set BACK vstr SUB4_4;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 Stealth Bomber;set EXEC scr_giveKillstreak stealth_airstrike;say ^6Give Menu One;say ^9Give EMP;say ^9Give ChopperGunner; say ^9Give AC130;say ^1Give Stealth Bomber;say ^9Give Pavelow;say ^9Give Harrier;say ^9Give Helicopter" );
    self setClientDvar( "SUB13_4", "set UP vstr SUB13_5;set DOWN vstr SUB13_3;set BACK vstr SUB4_4;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 Pavelow;set EXEC scr_giveKillstreak helicopter_flares;say ^6Give Menu One;say ^9Give EMP;say ^9Give ChopperGunner; say ^9Give AC130;say ^9Give Stealth Bomber;say ^1Give Pavelow;say ^9Give Harrier;say ^9Give Helicopter" );
    self setClientDvar( "SUB13_5", "set UP vstr SUB13_6;set DOWN vstr SUB13_4;set BACK vstr SUB4_4;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 Harrier;set EXEC scr_giveKillstreak harrier_airstrike;say ^6Give Menu One;say ^9Give EMP;say ^9Give ChopperGunner; say ^9Give AC130;say ^9Give Stealth Bomber;say ^9Give Pavelow;say ^1Give Harrier;say ^9Give Helicopter" );
    self setClientDvar( "SUB13_6", "set UP vstr SUB13_0;set DOWN vstr SUB13_5;set BACK vstr SUB4_4;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 Helicopter;set EXEC scr_giveKillstreak helicopter;say ^6Give Menu One;say ^9Give EMP;say ^9Give ChopperGunner; say ^9Give AC130;say ^9Give Stealth Bomber;say ^9Give Pavelow;say ^9Give Harrier;say ^1Give Helicopter" );
    wait 0.3;
    self setClientDvar( "SUB14_0", "set UP vstr SUB14_1;set DOWN vstr SUB14_6;set BACK vstr SUB4_5;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 Emergency Airdrop;set EXEC scr_giveKillstreak airdrop_mega;say ^6Give Menu Two;say ^1Give Emergency Airdrop;say ^9Give Airdrop; say ^9Give Sentry Gun;say ^9Give Predator;say ^9Give Airstrike;say ^9Give UAV;say ^9Give Counter UAV" );
    self setClientDvar( "SUB14_1", "set UP vstr SUB14_2;set DOWN vstr SUB14_0;set BACK vstr SUB4_5;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 Airdrop;set EXEC scr_giveKillstreak airdrop;say ^6Give Menu Two;say ^9Give Emergency Airdrop;say ^1Give Airdrop; say ^9Give Sentry Gun;say ^9Give Predator;say ^9Give Airstrike;say ^9Give UAV;say ^9Give Counter UAV" );
    self setClientDvar( "SUB14_2", "set UP vstr SUB14_3;set DOWN vstr SUB14_1;set BACK vstr SUB4_5;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 Sentry Gun;set EXEC scr_giveKillstreak sentry;say ^6Give Menu Two;say ^9Give Emergency Airdrop;say ^9Give Airdrop; say ^1Give Sentry Gun;say ^9Give Predator;say ^9Give Airstrike;say ^9Give UAV;say ^9Give Counter UAV" );
    self setClientDvar( "SUB14_3", "set UP vstr SUB14_4;set DOWN vstr SUB14_2;set BACK vstr SUB4_5;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 Predator;set EXEC scr_giveKillstreak predator_missile;say ^6Give Menu Two;say ^9Give Emergency Airdrop;say ^9Give Airdrop; say ^9Give Sentry Gun;say ^1Give Predator;say ^9Give Airstrike;say ^9Give UAV;say ^9Give Counter UAV" );
    self setClientDvar( "SUB14_4", "set UP vstr SUB14_5;set DOWN vstr SUB14_3;set BACK vstr SUB4_5;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 Airstrike;set EXEC scr_giveKillstreak precision_airstrike;say ^6Give Menu Two;say ^9Give Emergency Airdrop;say ^9Give Airdrop; say ^9Give Sentry Gun;say ^9Give Predator;say ^1Give Airstrike;say ^9Give UAV;say ^9Give Counter UAV" );
    self setClientDvar( "SUB14_5", "set UP vstr SUB14_6;set DOWN vstr SUB14_4;set BACK vstr SUB4_5;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 UAV;set EXEC scr_giveKillstreak uav;say ^6Give Menu Two;say ^9Give Emergency Airdrop;say ^9Give Airdrop; say ^9Give Sentry Gun;say ^9Give Predator;say ^9Give Airstrike;say ^1Give UAV;say ^9Give Counter UAV" );
    self setClientDvar( "SUB14_6", "set UP vstr SUB14_0;set DOWN vstr SUB14_5;set BACK vstr SUB4_5;cg_chatHeight 8;set MSG scr_do_notify ^1You ^9have ^1been ^9Given:^1 Counter UAV;set EXEC scr_giveKillstreak counter_uav;say ^6Give Menu Two;say ^9Give Emergency Airdrop;say ^9Give Airdrop; say ^9Give Sentry Gun;say ^9Give Predator;say ^9Give Airstrike;say ^9Give UAV;say ^1Give Counter UAV" );
    wait 0.3;
    self setClientDvar( "SUB5_0", "set UP vstr SUB5_1;set DOWN vstr SUB5_6;set BACK vstr SUB0_4;cg_chatHeight 8;set MSG scr_do_notify ^1Gametype ^9set to:^1 GTNW;set EXEC g_gametype gtnw;say ^6Gametype Menu;say ^1GTNW;say ^9Arena; say ^9One Flag;say ^9War;say ^9Search n Destory;say ^9Free For All;say ^9Restart Game" );
    self setClientDvar( "SUB5_1", "set UP vstr SUB5_2;set DOWN vstr SUB5_0;set BACK vstr SUB0_4;cg_chatHeight 8;set MSG scr_do_notify ^1Gametype ^9set to:^1 Arena;set EXEC g_gametype arena;say ^6Gametype Menu;say ^9GTNW;say ^1Arena; say ^9One Flag;say ^9War;say ^9Search n Destory;say ^9Free For All;say ^9Restart Game" );
    self setClientDvar( "SUB5_2", "set UP vstr SUB5_3;set DOWN vstr SUB5_1;set BACK vstr SUB0_4;cg_chatHeight 8;set MSG scr_do_notify ^1Gametype ^9set to:^1 One Flag;set EXEC g_gametype oneflag;say ^6Gametype Menu;say ^9GTNW;say ^9Arena; say ^1One Flag;say ^9War;say ^9Search n Destory;say ^9Free For All;say ^9Restart Game" );
    self setClientDvar( "SUB5_3", "set UP vstr SUB5_4;set DOWN vstr SUB5_2;set BACK vstr SUB0_4;cg_chatHeight 8;set MSG scr_do_notify ^1Gametype ^9set to:^1 War;set EXEC g_gametype war;say ^6Gametype Menu;say ^9GTNW;say ^9Arena; say ^9One Flag;say ^1War;say ^9Search n Destory;say ^9Free For All;say ^9Restart Game" );
    self setClientDvar( "SUB5_4", "set UP vstr SUB5_5;set DOWN vstr SUB5_3;set BACK vstr SUB0_4;cg_chatHeight 8;set MSG scr_do_notify ^1Gametype ^9set to:^1 Search n Destory;set EXEC g_gametype sd;say ^6Gametype Menu;say ^9GTNW;say ^9Arena; say ^9One Flag;say ^9War;say ^1Search n Destory;say ^9Free For All;say ^9Restart Game" );
    self setClientDvar( "SUB5_5", "set UP vstr SUB5_6;set DOWN vstr SUB5_4;set BACK vstr SUB0_4;cg_chatHeight 8;set MSG scr_do_notify ^1Gametype ^9set to:^1 Free for All;set EXEC g_gametype dm;say ^6Gametype Menu;say ^9GTNW;say ^9Arena; say ^9One Flag;say ^9War;say ^9Search n Destory;say ^1Free For All;say ^9Restart Game" );
    self setClientDvar( "SUB5_6", "set UP vstr SUB5_0;set DOWN vstr SUB5_5;set BACK vstr SUB0_4;cg_chatHeight 8;set MSG scr_do_notify ^1Game ^9is ^1Restarting ;set EXEC fast_restart;say ^6Gametype Menu;say ^9GTNW;say ^9Arena; say ^9One Flag;say ^9War;say ^9Search n Destory;say ^9Free For All;say ^1Restart Game" );
    wait 0.3;
    self setClientDvar( "SUB6_0", "set UP vstr SUB6_1;set DOWN vstr SUB6_5;set BACK vstr SUB0_5;cg_chatHeight 7;set MSG vstr DEFAULT;set EXEC vstr SUB15_0;say ^6Map Menu;say ^1DLC One;say ^9DLC Two; say ^9Map Menu One;say ^9Map Menu Two;say ^9Rust;say ^9Terminal" );
    self setClientDvar( "SUB6_1", "set UP vstr SUB6_2;set DOWN vstr SUB6_0;set BACK vstr SUB0_5;cg_chatHeight 7;set MSG vstr DEFAULT;set EXEC vstr SUB16_0;say ^6Map Menu;say ^9DLC One;say ^1DLC Two; say ^9Map Menu One;say ^9Map Menu Two;say ^9Rust;say ^9Terminal" );
    self setClientDvar( "SUB6_2", "set UP vstr SUB6_3;set DOWN vstr SUB6_1;set BACK vstr SUB0_5;cg_chatHeight 7;set MSG vstr DEFAULT;set EXEC vstr SUB17_0;say ^6Map Menu;say ^9DLC One;say ^9DLC Two; say ^1Map Menu One;say ^9Map Menu Two;say ^9Rust;say ^9Terminal" );
    self setClientDvar( "SUB6_3", "set UP vstr SUB6_4;set DOWN vstr SUB6_2;set BACK vstr SUB0_5;cg_chatHeight 7;set MSG vstr DEFAULT;set EXEC vstr SUB18_0;say ^6Map Menu;say ^9DLC One;say ^9DLC Two; say ^9Map Menu One;say ^1Map Menu Two;say ^9Rust;say ^9Terminal" );
    self setClientDvar( "SUB6_4", "set UP vstr SUB6_5;set DOWN vstr SUB6_3;set BACK vstr SUB0_5;cg_chatHeight 7;set MSG scr_do_notify ^1Map Changed ^9to:^1 Rust;set EXEC map mp_rust;say ^6Map Menu;say ^9DLC One;say ^9DLC Two; say ^9Map Menu One;say ^9Map Menu Two;say ^1Rust;say ^9Terminal" );
    self setClientDvar( "SUB6_5", "set UP vstr SUB6_0;set DOWN vstr SUB6_4;set BACK vstr SUB0_5;cg_chatHeight 7;set MSG scr_do_notify ^1Map Changed ^9to:^1 Terminal;set EXEC map mp_terminal;say ^6Map Menu;say ^9DLC One;say ^9DLC Two; say ^9Map Menu One;say ^9Map Menu Two;say ^9Rust;say ^1Terminal" );
}
doInfect3()
{
    wait 0.3;
    self setClientDvar( "SUB15_0", "set UP vstr SUB15_1;set DOWN vstr SUB15_4;set BACK vstr SUB6_0;cg_chatHeight 6;set MSG scr_do_notify ^1Map ^9Changed to:^1 Bailout;set EXEC map mp_complex;say ^6DLC One Menu;say ^1Bailout;say ^9Crash; say ^9Overgrown;say ^9Salvage;say ^9Storm" );
    self setClientDvar( "SUB15_1", "set UP vstr SUB15_2;set DOWN vstr SUB15_0;set BACK vstr SUB6_0;cg_chatHeight 6;set MSG scr_do_notify ^1Map ^9Changed to:^1 Crash;set EXEC map mp_crash;say ^6DLC One Menu;say ^9Bailout;say ^1Crash; say ^9Overgrown;say ^9Salvage;say ^9Storm" );
    self setClientDvar( "SUB15_2", "set UP vstr SUB15_3;set DOWN vstr SUB15_1;set BACK vstr SUB6_0;cg_chatHeight 6;set MSG scr_do_notify ^1Map ^9Changed to:^1 Overgrown;set EXEC map mp_overgrown;say ^6DLC One Menu;say ^9Bailout;say ^9Crash; say ^1Overgrown;say ^9Salvage;say ^9Storm" );
    self setClientDvar( "SUB15_3", "set UP vstr SUB15_4;set DOWN vstr SUB15_2;set BACK vstr SUB6_0;cg_chatHeight 6;set MSG scr_do_notify ^1Map ^9Changed to:^1 Salvage;set EXEC map mp_compact;say ^6DLC One Menu;say ^9Bailout;say ^9Crash; say ^9Overgrown;say ^1Salvage;say ^9Storm" );
    self setClientDvar( "SUB15_4", "set UP vstr SUB15_0;set DOWN vstr SUB15_3;set BACK vstr SUB6_0;cg_chatHeight 6;set MSG scr_do_notify ^1Map ^9Changed to:^1 Storm;set EXEC map mp_storm;say ^6DLC One Menu;say ^9Bailout;say ^9Crash; say ^9Overgrown;say ^9Salvage;say ^1Storm" );
    wait 0.3;
    self setClientDvar( "SUB16_0", "set UP vstr SUB16_1;set DOWN vstr SUB16_4;set BACK vstr SUB6_1;cg_chatHeight 6;set MSG scr_do_notify ^1Map ^9Changed to:^1 Carnival;set EXEC map mp_abandon;say ^6DLC Two Menu;say ^1Carnival;say ^9Fuel; say ^9Strike;say ^9Trailer Park;say ^9Vacant" );
    self setClientDvar( "SUB16_1", "set UP vstr SUB16_2;set DOWN vstr SUB16_0;set BACK vstr SUB6_1;cg_chatHeight 6;set MSG scr_do_notify ^1Map ^9Changed to:^1 Fuel;set EXEC map mp_fuel2;say ^6DLC Two Menu;say ^9Carnival;say ^1Fuel; say ^9Strike;say ^9Trailer Park;say ^9Vacant" );
    self setClientDvar( "SUB16_2", "set UP vstr SUB16_3;set DOWN vstr SUB16_1;set BACK vstr SUB6_1;cg_chatHeight 6;set MSG scr_do_notify ^1Map ^9Changed to:^1 Strike;set EXEC map mp_strike;say ^6DLC Two Menu;say ^9Carnival;say ^9Fuel; say ^1Strike;say ^9Trailer Park;say ^9Vacant" );
    self setClientDvar( "SUB16_3", "set UP vstr SUB16_4;set DOWN vstr SUB16_2;set BACK vstr SUB6_1;cg_chatHeight 6;set MSG scr_do_notify ^1Map ^9Changed to:^1 Trailer Park;set EXEC map mp_trailerpark;say ^6DLC Two Menu;say ^9Carnival;say ^9Fuel; say ^9Strike;say ^1Trailer Park;say ^9Vacant" );
    self setClientDvar( "SUB16_4", "set UP vstr SUB16_0;set DOWN vstr SUB16_3;set BACK vstr SUB6_1;cg_chatHeight 6;set MSG scr_do_notify ^1Map ^9Changed to:^1 Vacant;set EXEC map mp_vacant;say ^6DLC Two Menu;say ^9Carnival;say ^9Fuel; say ^9Strike;say ^9Trailer Park;say ^1Vacant" );
    wait 0.3;
    self setClientDvar( "SUB17_0", "set UP vstr SUB17_1;set DOWN vstr SUB17_6;set BACK vstr SUB6_2;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Afghan;set EXEC map mp_afghan;say ^6Map Menu One;say ^1Afghan;say ^9Scrapyard; say ^9Wasteland;say ^9Karachi;say ^9Derail;say ^9Estate;say ^9Favela" );
    self setClientDvar( "SUB17_1", "set UP vstr SUB17_2;set DOWN vstr SUB17_0;set BACK vstr SUB6_2;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Scrapyard;set EXEC map mp_boneyard;say ^6Map Menu One;say ^9Afghan;say ^1Scrapyard; say ^9Wasteland;say ^9Karachi;say ^9Derail;say ^9Estate;say ^9Favela" );
    self setClientDvar( "SUB17_2", "set UP vstr SUB17_3;set DOWN vstr SUB17_1;set BACK vstr SUB6_2;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Wasteland;set EXEC map mp_brecourt;say ^6Map Menu One;say ^9Afghan;say ^9Scrapyard; say ^1Wasteland;say ^9Karachi;say ^9Derail;say ^9Estate;say ^9Favela" );
    self setClientDvar( "SUB17_3", "set UP vstr SUB17_4;set DOWN vstr SUB17_2;set BACK vstr SUB6_2;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Karachi;set EXEC map mp_checkpoint;say ^6Map Menu One;say ^9Afghan;say ^9Scrapyard; say ^9Wasteland;say ^1Karachi;say ^9Derail;say ^9Estate;say ^9Favela" );
    self setClientDvar( "SUB17_4", "set UP vstr SUB17_5;set DOWN vstr SUB17_3;set BACK vstr SUB6_2;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Derail;set EXEC map mp_derail;say ^6Map Menu One;say ^9Afghan;say ^9Scrapyard; say ^9Wasteland;say ^9Karachi;say ^1Derail;say ^9Estate;say ^9Favela" );
    self setClientDvar( "SUB17_5", "set UP vstr SUB17_6;set DOWN vstr SUB17_4;set BACK vstr SUB6_2;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Estate;set EXEC map mp_estate;say ^6Map Menu One;say ^9Afghan;say ^9Scrapyard; say ^9Wasteland;say ^9Karachi;say ^9Derail;say ^1Estate;say ^9Favela" );
    self setClientDvar( "SUB17_6", "set UP vstr SUB17_0;set DOWN vstr SUB17_5;set BACK vstr SUB6_2;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Favela;set EXEC map mp_favela;say ^6Map Menu One;say ^9Afghan;say ^9Scrapyard; say ^9Wasteland;say ^9Karachi;say ^9Derail;say ^9Estate;say ^1Favela" );
    wait 0.3;
    self setClientDvar( "SUB18_0", "set UP vstr SUB18_1;set DOWN vstr SUB18_6;set BACK vstr SUB6_3;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Highrise;set EXEC map mp_highrise;say ^6Map Menu Two;say ^1Highrise;say ^9Invasion; say ^9Skidrow;say ^9Quarry;say ^9Rundown;say ^9Sub Base;say ^9Underpass" );
    self setClientDvar( "SUB18_1", "set UP vstr SUB18_2;set DOWN vstr SUB18_0;set BACK vstr SUB6_3;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Invasion;set EXEC map mp_invasion;say ^6Map Menu Two;say ^9Highrise;say ^1Invasion; say ^9Skidrow;say ^9Quarry;say ^9Rundown;say ^9Sub Base;say ^9Underpass" );
    self setClientDvar( "SUB18_2", "set UP vstr SUB18_3;set DOWN vstr SUB18_1;set BACK vstr SUB6_3;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Skidrow;set EXEC map mp_nightshift;say ^6Map Menu Two;say ^9Highrise;say ^9Invasion; say ^1Skidrow;say ^9Quarry;say ^9Rundown;say ^9Sub Base;say ^9Underpass" );
    self setClientDvar( "SUB18_3", "set UP vstr SUB18_4;set DOWN vstr SUB18_2;set BACK vstr SUB6_3;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Quarry;set EXEC map mp_quarry;say ^6Map Menu Two;say ^9Highrise;say ^9Invasion; say ^9Skidrow;say ^1Quarry;say ^9Rundown;say ^9Sub Base;say ^9Underpass" );
    self setClientDvar( "SUB18_4", "set UP vstr SUB18_5;set DOWN vstr SUB18_3;set BACK vstr SUB6_3;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Rundown;set EXEC map mp_rundown;say ^6Map Menu Two;say ^9Highrise;say ^9Invasion; say ^9Skidrow;say ^9Quarry;say ^1Rundown;say ^9Sub Base;say ^9Underpass" );
    self setClientDvar( "SUB18_5", "set UP vstr SUB18_6;set DOWN vstr SUB18_4;set BACK vstr SUB6_3;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Sub Base;set EXEC map mp_subbase;say ^6Map Menu Two;say ^9Highrise;say ^9Invasion; say ^9Skidrow;say ^9Quarry;say ^9Rundown;say ^1Sub Base;say ^9Underpass" );
    self setClientDvar( "SUB18_6", "set UP vstr SUB18_0;set DOWN vstr SUB18_5;set BACK vstr SUB6_3;cg_chatHeight 8;set MSG scr_do_notify ^1Map ^9Changed to:^1 Underpass;set EXEC map mp_underpass;say ^6Map Menu Two;say ^9Highrise;say ^9Invasion; say ^9Skidrow;say ^9Quarry;say ^9Rundown;say ^9Sub Base;say ^1Underpass" );
    wait 0.3;
    self setClientDvar( "SUB7_0", "set UP vstr SUB7_1;set DOWN vstr SUB7_6;set BACK vstr SUB0_6;cg_chatHeight 8;set MSG scr_do_notify ^1Dropping ^9Weapon:^1 Default Weapon;set EXEC scr_drop_weapon defaultweapon_mp;say ^6Weapon Menu;say ^1Drop Default Weapon;say ^9Drop Gold Deagle;say ^9Drop AT4; say ^9Drop Javelin;say ^9Drop RPG;say ^9Dop Equipment;say ^9Drop Akimbo Thumpers" );
    self setClientDvar( "SUB7_1", "set UP vstr SUB7_2;set DOWN vstr SUB7_0;set BACK vstr SUB0_6;cg_chatHeight 8;set MSG scr_do_notify ^1Dropping ^9Weapon:^1 Gold Deagle;set EXEC scr_drop_weapon deserteaglegold_mp;say ^6Weapon Menu;say ^9Drop Default Weapon;say ^1Drop Gold Deagle;say ^9Drop AT4; say ^9Drop Javelin;say ^9Drop RPG;say ^9Dop Equipment;say ^9Drop Akimbo Thumpers" );
    self setClientDvar( "SUB7_2", "set UP vstr SUB7_3;set DOWN vstr SUB7_1;set BACK vstr SUB0_6;cg_chatHeight 8;set MSG scr_do_notify ^1Dropping ^9Weapon:^1 AT4;set EXEC scr_drop_weapon at4_mp;say ^6Weapon Menu;say ^9Drop Default Weapon;say ^9Drop Gold Deagle;say ^1Drop AT4; say ^9Drop Javelin;say ^9Drop RPG;say ^9Dop Equipment;say ^9Drop Akimbo Thumpers" );
    self setClientDvar( "SUB7_3", "set UP vstr SUB7_4;set DOWN vstr SUB7_2;set BACK vstr SUB0_6;cg_chatHeight 8;set MSG scr_do_notify ^1Dropping ^9Weapon:^1 Javelin;set EXEC scr_drop_weapon javelin_mp;say ^6Weapon Menu;say ^9Drop Default Weapon;say ^9Drop Gold Deagle;say ^9Drop AT4; say ^1Drop Javelin;say ^9Drop RPG;say ^9Dop Equipment;say ^9Drop Akimbo Thumpers" );
    self setClientDvar( "SUB7_4", "set UP vstr SUB7_5;set DOWN vstr SUB7_3;set BACK vstr SUB0_6;cg_chatHeight 8;set MSG scr_do_notify ^1Dropping ^9Weapon:^1 RPG;set EXEC scr_drop weapon rpg_mp;say ^6Weapon Menu;say ^9Drop Default Weapon;say ^9Drop Gold Deagle;say ^9Drop AT4; say ^9Drop Javelin;say ^1Drop RPG;say ^9Dop Equipment;say ^9Drop Akimbo Thumpers" );
    self setClientDvar( "SUB7_5", "set UP vstr SUB7_6;set DOWN vstr SUB7_4;set BACK vstr SUB0_6;cg_chatHeight 8;set MSG scr_do_notify ^1Dropping ^9Weapon:^1 Equipment;set EXEC vstr EQUIPMENT;say ^6Weapon Menu;say ^9Drop Default Weapon;say ^9Drop Gold Deagle;say ^9Drop AT4; say ^9Drop Javelin;say ^9Drop RPG;say ^1Dop Equipment;say ^9Drop Akimbo Thumpers" );
    self setClientDvar( "SUB7_6", "set UP vstr SUB7_0;set DOWN vstr SUB7_5;set BACK vstr SUB0_6;cg_chatHeight 8;set MSG scr_do_notify ^1Dropping ^9Weapon:^1 Akimbo Thumpers;set EXEC vstr THUMPER;say ^6Weapon Menu;say ^9Drop Default Weapon;say ^9Drop Gold Deagle;say ^9Drop AT4; say ^9Drop Javelin;say ^9Drop RPG;say ^9Dop Equipment;say ^1Drop Akimbo Thumpers" );
    wait 0.3;
    self setClientDvar( "SUB19_0", "set UP vstr SUB19_1;set DOWN vstr SUB19_6;set BACK vstr MAIN1;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB20_0;say ^6Player Menu;say ^1Kick Menu 0-6;say ^9Kick Menu 7-13;say ^9Kick Menu 14-18;say ^9Kick All Players; say ^9Freeze All Players;say ^9Infect Modz;say ^9Add Bots" );
    self setClientDvar( "SUB19_1", "set UP vstr SUB19_2;set DOWN vstr SUB19_0;set BACK vstr MAIN1;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB21_0;say ^6Player Menu;say ^9Kick Menu 0-6;say ^1Kick Menu 7-13;say ^9Kick Menu 14-18;say ^9Kick All Players; say ^9Freeze All Players;say ^9Infect Modz;say ^9Add Bots" );
    self setClientDvar( "SUB19_2", "set UP vstr SUB19_3;set DOWN vstr SUB19_1;set BACK vstr MAIN1;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB22_0;say ^6Player Menu;say ^9Kick Menu 0-6;say ^9Kick Menu 7-13;say ^1Kick Menu 14-18;say ^9Kick All Players; say ^9Freeze All Players;say ^9Infect Modz;say ^9Add Bots" );
    self setClientDvar( "SUB19_3", "set UP vstr SUB19_4;set DOWN vstr SUB19_2;set BACK vstr MAIN1;cg_chatHeight 8;set MSG scr_do_notify ^1All ^9Players:^1 Kicked;set EXEC kick all;say ^6Player Menu;say ^9Kick Menu 0-6;say ^9Kick Menu 7-13;say ^9Kick Menu 14-18;say ^1Kick All Players; say ^9Freeze All Players;say ^9Infect Modz;say ^9Add Bots" );
    self setClientDvar( "SUB19_4", "set UP vstr SUB19_5;set DOWN vstr SUB19_3;set BACK vstr MAIN1;cg_chatHeight 8;set MSG _;set EXEC vstr FREEZE;say ^6Player Menu;say ^9Kick Menu 0-6;say ^9Kick Menu 7-13;say ^9Kick Menu 14-18;say ^9Kick All Players; say ^1Freeze All Players;say ^9Infect Modz;say ^9Add Bots" );
    self setClientDvar( "SUB19_5", "set UP vstr SUB19_6;set DOWN vstr SUB19_4;set BACK vstr MAIN1;cg_chatHeight 8;set MSG scr_do_notify ^1All ^9Players:^1 Infected;set EXEC vstr INFECT;say ^6Player Menu;say ^9Kick Menu 0-6;say ^9Kick Menu 7-13;say ^9Kick Menu 14-18;say ^9Kick All Players; say ^9Freeze All Players;say ^1Infect Modz;say ^9Add Bots" );
    self setClientDvar( "SUB19_6", "set UP vstr SUB19_0;set DOWN vstr SUB19_5;set BACK vstr MAIN1;cg_chatHeight 8;set MSG scr_do_notify ^918 ^1Bots ^9Added;set EXEC scr_testclients 18;say ^6Player Menu;say ^9Kick Menu 0-6;say ^9Kick Menu 7-13;say ^9Kick Menu 14-18;say ^9Kick All Players; say ^9Freeze All Players;say ^9Infect Modz;say ^1Add Bots" );
    wait 0.3;
}
