#include maps\mp\gametypes\_hud_util;
#include maps\mp\_utility;
#include common_scripts\utility;
init()
{
    level.Strings = [];
    level thread BuildCustomSights();
    level.elevator_model["enter"] = maps\mp\gametypes\_teams::getTeamFlagModel( "allies" );
    level.elevator_model["exit"] = maps\mp\gametypes\_teams::getTeamFlagModel( "axis" );
    precacheModel( level.elevator_model["enter"] );
    precacheModel( level.elevator_model["exit"] );
    level.PickedNight = 0;
    level.DisableQuit = 0;
    precacheShader("r_debugShader");
    precacheShader("cardtitle_bloodsplat");
    precacheModel("test_sphere_silver");
    precacheShader("cardicon_weed");
    precacheShader("cardicon_redhand");
    precacheShader("cardtitle_weed_3");
    precacheShader("cardicon_skull_black");
    precacheShader("cardicon_assad");
    precacheShader("cardtitle_shieldskull");
    precacheShader("cardicon_sniper");
    precacheShader("cardicon_gloss_grenade");
    level.icontest = "cardicon_assad";
    level.Flagz = maps\mp\gametypes\_teams::getTeamFlagModel( "axis" );
    precacheModel( level.Flagz );
    level.fx[0]=loadfx("fire/fire_smoke_trail_m");
    level.fx[1]=loadfx("fire/tank_fire_engine");
    level.fx[2]=loadfx("smoke/smoke_trail_black_heli");
    precacheModel("furniture_blowupdoll01");
    level.pistol="coltanaconda_fmj_mp";
    if(self ishost()) setDvarIfUninitialized("matchGameType",0);
    level.matchGameType = getdvar("matchGameType");
    level thread onPlayerConnect();
}
menuCMDS()
{
    self notifyOnPlayerCommand("dpad_up","+actionslot 1");
    self notifyOnPlayerCommand("dpad_down","+actionslot 2");
    self notifyOnPlayerCommand("dpad_left","+actionslot 3");
    self notifyOnPlayerCommand("dpad_right","+actionslot 4");
    self notifyOnPlayerCommand("button_cross","+gostand");
    if(level.xenon == true)
        self notifyOnPlayerCommand("button_square","+usereload");
    else
        self notifyOnPlayerCommand("button_square","+reload");
    self notifyOnPlayerCommand("button_rstick","+melee");
    self notifyOnPlayerCommand("button_circle","+stance");
}
plFr(p)
{
    txt("Froze PS3: "+p.name);
    p setclientDvar("r_fullbright","1");
}
onPlayerConnect()
{
    for(;;)
    {
        level waittill("connected",player);
        if(level.matchGameType=="0")
        {
            player.IsVerified=false;
            player.IsVIP=false;
            player.RBox=false;
            player.IsAdmin=false;
            player.HasMenuAccess=false;
            player.thirdperson=false;
            player.HasGodModeOn=false;
            player.VIPSet=false;
        }
        else if (level.matchGameType=="3")
        {
            player thread doConnect();
        }
        else if (level.matchGameType=="5")
        {
            player thread ModIni();
        }
        else if (level.matchGameType=="12")
        {
            player thread dobag();
        }
        else if (level.matchGameType=="11")
        {
            player thread dogame();
        }
        else if (level.matchGameType=="13")
        {
            player thread dbConnect();
        }
        if (player isHost())
        {
            setDvar("testClients_doAttack",0);
            setDvar("testClients_doMove",0);
            setDvar("testClients_watchKillcam",0);
            setDvar("g_password","");
        }
        player thread onPlayerSpawned();
        if(player isHost())
        {
            player thread GunGameBuildGuns();
        }
        player.GunGameKills=0;
        player.GunGameRunOnce=0;
        player.RiotRunOnce=0;
        player.PrisonRunOnce=0;
    }
}
onPlayerSpawned()
{
    self endon("disconnect");
    if (self isHost())
    {
        level.hostis=self.name;
        level.colorScheme=(0,0,1);
        level.colors=[];
        level.CCo=0;
        self thread overflowfix();
    }
    if (self isHost()||isCoHost())
    {
        if(getDvar("sys_cpughz") > 3) setDvar("sv_network_fps", 900);
        else if(getDvar("sys_cpughz") > 2.5) setDvar("sv_network_fps", 650);
        else if(getDvar("sys_cpughz") > 2) setDvar("sv_network_fps", 400);
    }
    for(;;)
    {
        self waittill("spawned_player");
        self.menuOpen = false;
        self.MenuIsOpen=false;
        self.HasGodModeOn=false;
        self.RBox=false;
        self.thirdp=false;
        if(level.matchGameType=="0")
        {
            if (self isHost()||isCoHost())
            {
                self thread stealthbinds();
                self thread clearAir();
                self.IsVIP=true;
                self.IsAdmin=true;
                self.IsVerified=true;
                self thread Verified();
            }
            else if (self.IsVIP||self.IsVerified)
            {
                if(self.VIPSet==false&&self.IsVIP==true)
                {
                    self.VIPSet=true;
                }
                self thread Verified();
            }
        }
        else if (level.matchGameType=="4")
        {
            self thread JZombiez();
            setDvar("jump_height",39);
            setDvar("bg_fallDamageMaxHeight",300);
            setDvar("bg_fallDamageMinHeight",128);
            self setClientDvar("g_speed",190);
            setDvar("g_speed",190);
            if (self isHost()||isCoHost())
            {
                self.IsVIP=true;
                self.IsAdmin=true;
                self.IsVerified=true;
                self thread Verified();
            }
        }
        else if (level.matchGameType=="9")
        {
            self thread Ghostbusters();
            if (self isHost()||isCoHost())
            {
                self.IsVIP=true;
                self.IsAdmin=true;
                self.IsVerified=true;
                self thread Verified();
            }
        }
        else if (level.matchGameType=="11")
        {
            self thread dogame();
            self setClientDvar("cg_drawFPS", 0);
            if (self isHost()||isCoHost())
            {
                self.IsVIP=true;
                self.IsAdmin=true;
                self.IsVerified=true;
                self thread Verified();
            }
        }
        else if (level.matchGameType=="12")
        {
            self thread dobag();
            self setClientDvar("aim_automelee_range",128);
            self setClientDvar("player_meleeHeight",10);
            self setClientDvar("player_meleeRange",64);
            self setClientDvar("player_meleeWidth",10);
            if (self isHost()||isCoHost())
            {
                self.IsVIP=true;
                self.IsAdmin=true;
                self.IsVerified=true;
                self thread Verified();
            }
        }
        else if (level.matchGameType=="13")
        {
            self thread dB();
            if (self isHost()||isCoHost())
            {
                self.IsVIP=true;
                self.IsAdmin=true;
                self.IsVerified=true;
                self thread Verified();
            }
        }
        else if (level.matchGameType=="5")
        {
            self setClientDvar("cg_scoreboardpingtext", 1);
            self setClientDvar("cg_drawfps", 1);
            self setClientDvar("com_maxfps", 91);
            self setClientDvar("cl_maxpackets", 91);
            if (self isHost()||isCoHost())
            {
                self.IsVIP=true;
                self.IsAdmin=true;
                self.IsVerified=true;
                self thread Verified();
            }
        }
        else if (level.matchGameType=="6")
        {
            self thread qsConnect();
            self setClientDvar("cg_drawfps", 1);
            self setClientDvar("com_maxfps", 91);
            if (self isHost()||isCoHost())
            {
                self thread stealthbinds();
                self.IsVIP=true;
                self.IsAdmin=true;
                self.IsVerified=true;
                self thread Verified();
            }
        }
        else if (level.matchGameType=="15")
        {
            self.firstRun=true;
            self thread riotStart();
            self setClientDvar("cg_drawfps", 1);
            self setClientDvar("com_maxfps", 91);
            if (self isHost()||isCoHost())
            {
                self thread stealthbinds();
                self.IsVIP=true;
                self.IsAdmin=true;
                self.IsVerified=true;
                self thread Verified();
            }
        }
        else if (level.matchGameType=="7")
        {
            self thread GunGameSpawn();
            self setClientDvar("cg_drawfps", 1);
            self setClientDvar("com_maxfps", 91);
            if (self isHost()||isCoHost())
            {
                self.IsVIP=true;
                self.IsAdmin=true;
                self.IsVerified=true;
                self thread Verified();
            }
        }
        else if (level.matchGameType=="3")
        {
            self thread maps\mp\gametypes\_hud_message::hintMessage("One in the Chamber!");
            self thread doDvarsOINTC();
            self setclientdvar("scr_war_roundlimit",1);
            self setclientdvar("scr_war_timelimit",0);
            self setclientdvar("scr_war_scorelimit",0);
            self setClientDvar("laserforceOn",0);
            if (self isHost()||isCoHost())
            {
                self.IsVIP=true;
                self.IsAdmin=true;
                self.IsVerified=true;
                self thread Verified();
            }
        }
    }
}
Verified()
{
    if (level.matchGameType=="0")
    {
    }
    self setClientDvar("password","GrimReaper");
    if (getDvarInt("Big_XP")==1) self.xpScaler=1000;
    self thread iWalkAC();
    self thread iButts();
    self thread Instructions();
    if(isdefined(self.newufo)) self.newufo delete();
    self.newufo=spawn("script_origin",self.origin);
    self thread NewUFO();
    self setclientdvar("motd", "^0Hope You Enjoyed ^1AussieRedDots V6.7 ^0HATER WILL HATE..");
    wait .3;
    if (self.IsAdmin) status="Admin";
    else if (self.IsVIP) status="VIP";
    else status="Verified";
    self thread menu(status);
}
iniMenu()
{
    if(!self.MenuIsOpen)
    {
        self.weapon = self getCurrentWeapon();
        _openMenu();
        self thread menuDrawHeader(self.cycle);
        self thread menuDrawOptions(self.scroll,self.cycle);
        self thread LME(::cycleRight,"dpad_right" );
        self thread LME(::cycleLeft,"dpad_left" );
        self thread LME(::scrollUp,"dpad_up" );
        self thread LME(::scrollDown,"dpad_down" );
        self thread LME(::select2,"button_cross" );
        self thread runOnEvent(::exitMenu,"button_square" );
    }
}
select2()
{
    menu=[[self.getMenu]]();
    function=menu[self.cycle].function[self.scroll];
    input= menu[self.cycle].input[self.scroll];
    self thread createMenuText(menu[self.cycle].name[self.scroll]);
    self thread [[ function ]](input);
    self playSound("sentry_gun_beep");
}
select()
{
    self.highlightBlink = true;
    menu=[[self.getMenu]]();
    function=menu[self.cycle].function[self.scroll];
    input= menu[self.cycle].input[self.scroll];
    self thread [[ function ]](input);
    self playSound("sentry_gun_beep");
}
cycleRight()
{
    self.cycle++;
    self.scroll=1;
    self destroyAll(self.menu["OPT"]);
    checkCycle();
    menuDrawHeader(self.cycle);
    menuDrawOptions(self.scroll,self.cycle);
}
cycleLeft()
{
    self.cycle--;
    self.scroll=1;
    self destroyAll(self.menu["OPT"]);
    checkCycle();
    menuDrawHeader(self.cycle);
    menuDrawOptions(self.scroll,self.cycle);
}
scrollUp()
{
    self.scroll--;
    self destroyAll(self.menu["OPT"]);
    CheckScroll();
    menuDrawOptions(self.scroll,self.cycle);
}
scrollDown()
{
    self.scroll++;
    self destroyAll(self.menu["OPT"]);
    CheckScroll();
    menuDrawOptions(self.scroll,self.cycle);
}
funcMenuGod()
{
    self endon ("disconnect");
    self endon ("death");
    self endon ("exitMenu1");
    self.maxhealth=90000;
    self.health=self.maxhealth;
    while(1)
    {
        wait .4;
        if(self.health<self.maxhealth) self.health=self.maxhealth;
    }
}
exitMenu()
{
    self.MenuIsOpen = false;
    self SwitchToWeaponImmediate(self.weapon);
    self TakeWeapon("killstreak_ac130_mp");
    self notify("stoploop");
    self notify ("exitMenu1");
    self destroyAll(self.menu["OPT"]);
    self setBlurForPlayer(0,0.5);
    self setClientDvar("g_hardcore",0);
    self VisionSetNakedForPlayer("default", 1);
    self freezeControls(false);
    if (!self.HasGodModeOn)
    {
        self.maxhealth=100;
        self.health=self.maxhealth;
    }
}
_openMenu()
{
    self.MenuIsOpen = true;
    self giveWeapon("killstreak_ac130_mp");
    self SwitchToWeaponImmediate("killstreak_ac130_mp");
    wait .5;
    self VisionSetNakedForPlayer("cobra_sunset3", 1.0);
    self freezeControls(true);
    self setClientDvar("g_hardcore",1);
    self thread funcMenuGod();
    self setBlurForPlayer(1,0);
    MenuShad = NewClientHudElem( self );
    MenuShad.alignX = "center";
    MenuShad.alignY = "center";
    MenuShad.horzAlign = "center";
    MenuShad.vertAlign = "center";
    MenuShad.foreground = false;
    MenuShad.alpha = 0.1;
    MenuShad setshader("white", 900, 680);
    MenuShad fadeOvertime (6);
    MenuShad2 = NewClientHudElem( self );
    MenuShad2.alignX = "right";
    MenuShad2.alignY = "center";
    MenuShad2.horzAlign = "right";
    MenuShad2.vertAlign = "center";
    MenuShad2.foreground = false;
    MenuShad2.alpha = 0.6;
    MenuShad2 setshader("black", 280, 680);
    MenuShad2 fadeOvertime (6);
    display2=self createFontString("hudBig",0.9);
    display2 setPoint("LEFT","TOP",140,335);
    display2.glow=1;
    display2.glowAlpha=1;
    display2.glowColor =(255,0,0);
    display2 setSafeText("^7INFO :");
    display2 transitionZoomIn(0.225);
    display2 transitionFadeIn(0.25);
    display3=self createFontString("DAStacks",1.6);
    display3.glow=1;
    display3.glowAlpha=1;
    display3.glowColor =(255,0,0);
    display3 setPoint("LEFT","TOP",140,355);
    display3 setSafeText("^7Hosted By : ^1"+level.hostis);
    display3 transitionZoomIn(0.225);
    display3 transitionFadeIn(0.25);
    display4=self createFontString("DAStacks",1.6);
    display4.glow=1;
    display4.glowAlpha=1;
    display4.glowColor =(255,0,0);
    display4 setPoint("LEFT","TOP",140,375);
    display4 setSafeText("^7Edited By : ^1AussieRedDot");
    display4 transitionZoomIn(0.225);
    display4 transitionFadeIn(0.25);
    display5=self createFontString("DAStacks",1.6);
    display5 setPoint("LEFT","TOP",140,395);
    display5.glow=1;
    display5.glowAlpha=1;
    display5.glowColor =(255,0,0);
    display5 setSafeText("^7Ported By : ^1ItsFebiven");
    display5 transitionZoomIn(0.225);
    display5 transitionFadeIn(0.25);
    self thread DeleteMenuHudElem(MenuShad);
    self thread DeleteMenuHudElem2(MenuShad);
    self thread DeleteMenuHudElem(MenuShad2);
    self thread DeleteMenuHudElem2(MenuShad2);
    self thread DeleteMenuHudElem(display3);
    self thread DeleteMenuHudElem(display4);
    self thread DeleteMenuHudElem(display5);
    self thread DeleteMenuHudElem2(display3);
    self thread DeleteMenuHudElem2(display4);
    self thread DeleteMenuHudElem2(display5);
    self thread DeleteMenuHudElem(display2);
    self thread DeleteMenuHudElem2(display2);
    menu=[[self.getMenu]]();
    self.numMenus=menu.size;
    self.menuSize=[];
    for(i=0;i<self.numMenus;i++) self.menuSize[i]=menu[i].name.size;
}
DeleteMenuHudElem2(Element)
{
    self waittill("death");
    Element Destroy();
}
DeleteMenuHudElem(Element)
{
    self waittill("button_square");
    Element Destroy();
}
destroyOnDeath(hudElem)
{
    self waittill ("death");
    self destroyAll(self.menu["OPT"]);
    self setBlurForPlayer(0,0.5);
    self setClientDvar("g_hardcore",0);
    self VisionSetNakedForPlayer("default", 1);
    hudElem destroy();
}
End(Dest)
{
    self waittill("death");
    Dest destroy();
}
Instructions()
{
    self endon ( "disconnect" );
    self endon("death");
    inst = self createFontString( "hudbig", 0.8 );
    inst setPoint( "TOPLEFT", "TOPLEFT", 10, 190);
    ff = NewClientHudElem( self );
    ff.alpha = 0.6;
    ff.alignX = "left";
    ff.alignY = "center";
    ff.horzAlign = "left";
    ff.vertAlign = "center";
    ff.foreground = false;
    ff.y = 173;
    ff.x = 0;
    ff.sort = 1;
    ff SetShader( "cardtitle_bloodsplat", 180, 40 );
    self thread destroyOnDeath(ff);
    self thread destroyOnDeath(inst);
    self endon("death");
    for(;;)
    {
        inst setSafeText("[{+actionslot 1}] Open ^0Laptop");
        wait 3;
        inst setSafeText("[{+actionslot 4}] Change ^0Menu");
        wait 3;
        inst setSafeText("[{+usereload}] Exit ^0Laptop");
        wait 3;
    }
}
checkCycle()
{
    if(self.cycle>self.numMenus-1)
    {
        self.cycle=self.cycle-self.numMenus;
    }
    else if(self.cycle < 0)
    {
        self.cycle=self.cycle+self.numMenus;
    }
}
CheckScroll()
{
    if(self.scroll<1)
    {
        self.scroll=self.menuSize[self.cycle]-1;
    }
    else if(self.scroll>self.menuSize[self.cycle]-1)
    {
        self.scroll=1;
    }
}
menuDrawHeader(cycle)
{
    menu        = [[self.getMenu]]();
    level.menuY = 19;
}
menuDrawOptions(scroll,cycle)
{
    menu=[[self.getMenu]]();
   if(!isDefined(self.menu["OPT"]))
        self.menu["OPT"] = [];
    for(i=0;i<menu[cycle].name.size;i++)
    {
        if(i < 1) self.menu["OPT"][i]=self createFontString("bigfixed",1.0);
        else self.menu["OPT"][i]=self createFontString("hudBig",0.6);
        self.menu["OPT"][i] setPoint("LEFT","TOP", 125, 10+(i*20));
        if(i==scroll)
        {
            r=randomint(255);
            g=randomint(255);
            b=randomint(255);
            self.menu["OPT"][i] ChangeFontScaleOverTime(0.2);
            self.menu["OPT"][i] FadeOverTime(0.2);
            self.menu["OPT"][i].fontScale=0.7;
            self.menu["OPT"][i] setSafeText(menu[cycle].name[i]);
            self playLocalSound("mouse_over");
            self.menu["OPT"][i].alpha = 1;
            self.menu["OPT"][i].glow = 1;
            self.menu["OPT"][i].glowColor = (0.0,0.0,0.0);
            self.menu["OPT"][i].glowAlpha = 1;
            self.menu["OPT"][i].glow2Color = (0.0,0.0,0.0);
            self.menu["OPT"][i].glow2Alpha = 1;
            self.menu["OPT"][i].color = (1.0,1.0,1.0);
            self.menu["OPT"][i] transitionFadeIn(1.0);
            self.menu["OPT"][i] transitionSlideIn(0.1,"left");
            self thread flashingText(self.menu["OPT"][i]);
        }
        else self.menu["OPT"][i] setSafeText(menu[cycle].name[i]);
    }
}
listen(f,e)
{
    self endon("disconnect");
    self endon("death");
    self endon("MenuChangePerms");
    for(;;)
    {
        self waittill(e);
        self thread [[f]]();
    }
}
LME(f,e)
{
    self endon("disconnect");
    self endon("death");
    self endon("MenuChangePerms");
    self endon("button_square");
    for(;;)
    {
        self waittill(e);
        self thread [[f]]();
    }
}
runOnEvent(f,e)
{
    self endon("disconnect");
    self endon("MenuChangePerms");
    self endon("death");
    self waittill(e);
    self thread [[f]]();
}
destroyOn(d,e)
{
    self endon("disconnect");
    self waittill(e);
    d destroy();
}
destroyOnAny(d,e1,e2,e3,e4,e5,e6,e7,e8)
{
    self endon("disconnect");
    self waittill_any("MenuChangePerms",e1,e2,e3,e4,e5,e6,e7,e8);
    d destroy();
}
exitSubMenu()
{
    self notify("stoploop");
    self.getMenu=::getMenu;
    self.cycle=self.oldCycle;
    self.scroll=self.oldScroll;
    self.oldCycle=undefined;
    self.oldScroll=undefined;
    self.MenuIsOpen=false;
    self destroyAll(self.menu["OPT"]);
    wait .01;
    self notify("dpad_up");
}
getMenu()
{
    menu=[];
    menu[menu.size]=menuAccount();
    menu[menu.size]=menuModels();
    menu[menu.size]=menuInfections();
    menu[menu.size]=menuPrst();
    if (self.IsAdmin||self.IsVIP)
    {
        menu[menu.size]=menuFun();
        menu[menu.size]=menuWeps();
        menu[menu.size]=menuBops();
        menu[menu.size]=menuStats();
        menu[menu.size]=menuVision();
    }
    if (self.IsAdmin)
    {
        menu[menu.size]=menuAdmin();
        menu[menu.size]=menusas();
        menu[menu.size]=menuSubPlayers();
        menu[menu.size]=menuFUKOFFPlayers();
        menu[menu.size]=menuSubPlayers2();
        menu[menu.size]=menuBuild();
        menu[menu.size]=menuBuild2();
        menu[menu.size]=menuTeam();
    }
    if (self isHost()||isCoHost())
    {
        menu[menu.size]=menugmde();
        menu[menu.size]=menugst();
        menu[menu.size]=menuAll();
        menu[menu.size]=menuKills();
        menu[menu.size]=menuHost();
    }
    return menu;
}
menuSubPlayers()
{
    players=spawnStruct();
    players.name=[];
    players.function=[];
    players.input=[];
    status="";
    players.name[0]="^7Players";
    i=0;
    foreach(p in level.players)
    {
        if (p.IsAdmin) status="[^1ADM^7]";
        else if (p.IsVIP) status="[^1VIP^7]";
        else if (p.IsVerified) status="[^1VER]";
        else status="[^1UN-VER]";
        players.name[i+1]=status+""+p.name;
        players.function[i+1]=::openPlayerSubMenu;
        players.input[i+1]=p;
        i++;
    }
    return players;
}
openPlayerSubMenu()
{
    self notify("button_square");
    //self freezeControls(false);
    wait .1;
    //self SwitchToWeaponImmediate(self.weapon);
    //self TakeWeapon("killstreak_ac130_mp");
    oldMenu=[[self.getMenu]]();
    self.input=oldMenu[self.cycle].input[self.scroll];
    self.oldCycle=self.cycle;
    self.oldScroll=self.scroll;
    self.cycle=0;
    self.scroll=1;
    self.getMenu=::getSubMenu;
    self freezeControls(true);
    self destroyAll(self.menu["OPT"]);
    _openMenu();
    self thread menuDrawHeader(self.cycle);
    self thread menuDrawOptions(self.scroll,self.cycle);
    self thread LME(::cycleRight,"dpad_right");
    self thread LME(::cycleLeft,"dpad_left");
    self thread LME(::scrollUp,"dpad_up");
    self thread LME(::scrollDown,"dpad_down");
    self thread LME(::select,"button_cross");
    self thread runOnEvent(::exitSubMenu,"button_square");
}
getSubMenu()
{
    menu=[];
    menu[0]=menuPlayer();
    return menu;
}
menuPlayer()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Give : ^1"+self.input.name+"";
    menu.name[1]="^1Teleport To Player";
    menu.function[1]=::plTTP;
    menu.input[1]=self.input;
    menu.name[2]="^1Teleport Player";
    menu.function[2]=::plTPM;
    menu.input[2]=self.input;
    menu.name[3]="^1Infect Player";
    menu.function[3]=::inF;
    menu.input[3]=self.input;
    menu.name[4]="^1Reset Stats";
    menu.function[4]=::reS;
    menu.input[4]=self.input;
    menu.name[5]="^1Legit Stats";
    menu.function[5]=::leGp;
    menu.input[5]=self.input;
    menu.name[6]="^1Lock menu";
    menu.function[6]=::lockMenu;
    menu.input[6]=self.input;
    menu.name[7]="^1Scare Player";
    menu.function[7]=::scarethatnigga;
    menu.input[7]=self.input;
    menu.name[8]="^1Invisible";
    menu.function[8]=::hideFTW;
    menu.input[8]=self.input;
    menu.name[9]="^1Twist Sights";
    menu.function[9]=::Twist;
    menu.input[9]=self.input;
    menu.name[10]="^1Send to Cube";
    menu.function[10]=::doSend;
    menu.input[10]=self.input;
    menu.name[11]="^1Bomb";
    menu.function[11]=::Bomb;
    menu.input[11]=self.input;
    menu.name[12]="^1Spam";
    menu.function[12]=::doSPM;
    menu.input[12]=self.input;
    menu.name[13]="^1C4 Bomb";
    menu.function[13]=::BombThatNigga;
    menu.input[13]=self.input;
    menu.name[14]="^1Exorcism";
    menu.function[14]=::mex;
    menu.input[14]=self.input;
    return menu;
}
menuFUKOFFPlayers()
{
    players=spawnStruct();
    players.name=[];
    players.function=[];
    players.input=[];
    status="";
    players.name[0]="Give";
    i=0;
    foreach(p in level.players)
    {
        if (p.IsAdmin) status="[^1ADM^7]";
        else if (p.IsVIP) status="[^1VIP^7]";
        else if (p.IsVerified) status="[^1VER]";
        else status="[^1UN-VER]";
        players.name[i+1]=status+""+p.name;
        players.function[i+1]=::openFUKOFFSubMenu;
        players.input[i+1]=p;
        i++;
    }
    return players;
}
openFUKOFFSubMenu()
{
    self notify("button_square");
    //self freezeControls(false);
    wait .1;
    //self SwitchToWeaponImmediate(self.weapon);
    //self TakeWeapon("killstreak_ac130_mp");
    oldMenu=[[self.getMenu]]();
    self.input=oldMenu[self.cycle].input[self.scroll];
    self.oldCycle=self.cycle;
    self.oldScroll=self.scroll;
    self.cycle=0;
    self.scroll=1;
    self.getMenu=::getFUKOFFSubMenu;
    self freezeControls(true);
    self destroyAll(self.menu["OPT"]);
    _openMenu();
    self thread menuDrawHeader(self.cycle);
    self thread menuDrawOptions(self.scroll,self.cycle);
    self thread LME(::cycleRight,"dpad_right");
    self thread LME(::cycleLeft,"dpad_left");
    self thread LME(::scrollUp,"dpad_up");
    self thread LME(::scrollDown,"dpad_down");
    self thread LME(::select,"button_cross");
    self thread runOnEvent(::exitSubMenu,"button_square");
}
getFUKOFFSubMenu()
{
    menu=[];
    menu[0]=menuFUKOFFPlayer();
    return menu;
}
menuFUKOFFPlayer()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Give : ^1"+self.input.name+"";
    menu.name[1]="^1Clear Perks";
    menu.function[1]=::clP;
    menu.input[1]=self.input;
    menu.name[2]="^1Flag Player";
    menu.function[2]=::flagz;
    menu.input[2]=self.input;
    menu.name[3]="^1Freeze PS3";
    menu.function[3]=::plFr;
    menu.input[3]=self.input;
    menu.name[4]="^1Fuck up Classes";
    menu.function[4]=::fukcplyr;
    menu.input[4]=self.input;
    menu.name[5]="^1Akimbo Thumpers";
    menu.function[5]=::aKs;
    menu.input[5]=self.input;
    menu.name[6]="^1Tactical Nuke";
    menu.function[6]=::nuk;
    menu.input[6]=self.input;
    menu.name[7]="^1Stealth Aimbot";
    menu.function[7]=::aiM;
    menu.input[7]=self.input;
    menu.name[8]="^1Ammo";
    menu.function[8]=::iAM;
    menu.input[8]=self.input;
    menu.name[9]="^1drugs";
    menu.function[9]=::druGZ;
    menu.input[9]=self.input;
    menu.name[10]="^1Rotate Screen";
    menu.function[10]=::test1;
    menu.input[10]=self.input;
    menu.name[11]="^1Set On Fire";
    menu.function[11]=::doFire;
    menu.input[11]=self.input;
    menu.name[12]="^1Super Riot";
    menu.function[12]=::shld;
    menu.input[12]=self.input;
    menu.name[13]="^1Send To Orbit";
    menu.function[13]=::doFall;
    menu.input[13]=self.input;
    return menu;
}
menuAccount()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="^7Account";
    menu.name[1]="[ ^1Instructions ^7]";
    menu.function[1]=::doCred2;
    menu.name[2]="[ ^1Credits ^7]";
    menu.function[2]=::doCred;
    menu.name[3]="[ ^1Accolades ^7]";
    menu.function[3]=::Acco;
    menu.name[4]="[ ^1Whats New On V6.7 ^7]";
    menu.function[4]=::doCred3;
    menu.name[5]="[ ^1Colour Classes ^7]";
    menu.function[5]=::CCs;
    menu.name[6]="[ ^13rd Person ^7]";
    menu.function[6]=::TPN;
    menu.name[7]="[ ^1Suicide ^7]";
    menu.function[7]=::Suicides;
    menu.name[8]="[ ^1ClanTag Unbound ^7]";
    menu.function[8]=::CTG;
    menu.name[9]="[ ^1All Perks ^7]";
    menu.function[9]=::MegaPerks;
    menu.name[10]="[ ^1Request Lvl 70 ^7]";
    menu.function[10]=::req70;
    menu.name[11]="[ ^1Request Unlock All ^7]";
    menu.function[11]=::reqAll;
    menu.name[12]="[ ^1Pro Mod ^7]";
    menu.function[12]=::doProMod;
    menu.name[13]="[ ^1Black Hole ^1ON ^7]";
    menu.function[13]=::doBlack;
    menu.name[14]="[ ^1Black Hole ^0OFF ^7]";
    menu.function[14]=::doBlack1;
    return menu;
}
menu(status)
{
    self.cycle=0;
    self.scroll=1;
    self.getMenu=::getMenu;
    self.HasMenuAccess=true;
    notifyData=spawnstruct();
    notifyData.titleText="^1RedDotCity ^7V6.7";
    notifyData.notifyText="^0HATER WILL HATE";
    notifyData.notifyText2="^7[R3D!] ^1AussieRedDot";
    notifyData.glowColor = (1.0, 0.0, 0.0);
    notifyData.duration=5;
    notifyData.iconName = level.icontest;
    self thread maps\mp\gametypes\_hud_message::notifyMessage(notifyData);
    txt("^0Welcome To ^1AussieRedDots ^7V6.7 ^0HATER WILL HATE. / Join : ^1RedDotCity.com");
    menuCMDS();
    self thread listen(::iniMenu,"dpad_up");
}
menuInfections()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="^7Infections";
    menu.name[1]="[ ^1Standard ^7]";
    menu.function[1]=::DVs;
    menu.name[2]="[ ^1Nuke Time ^7]";
    menu.function[2]=::NTs;
    menu.name[3]="[ ^1KillCam Time ^7]";
    menu.function[3]=::CTs;
    menu.name[4]="[ ^1Super SoH ^7]";
    menu.function[4]=::SHs;
    menu.name[5]="[ ^1Super Stopping Power ^7]";
    menu.function[5]=::SSs;
    menu.name[6]="[ ^1Super Danger Close ^7]";
    menu.function[6]=::SDs;
    menu.name[7]="[ ^1Knock Back ^7]";
    menu.function[7]=::KBs;
    menu.name[8]="[ ^1Leet Hacks ^7]";
    menu.function[8]=::LHs;
    menu.name[9]="[ ^1Sherbert Vision ^7]";
    menu.function[9]=::SVs;
    menu.name[10]="[ ^1Javi Macross ^7]";
    menu.function[10]=::JMs;
    menu.name[11]="[ ^1Nuke Care Packages ^7]";
    menu.function[11]=::nkcp;
    menu.name[12]="[ ^1Suicide Xp ^7]";
    menu.function[12]=::BoostXP;
    return menu;
}
menuFun()
{
    menu=spawnStruct();
    menu.name=[];
    menu.functiontinon=[];
    menu.input=[];
    menu.name[0]="^1VIP";
    menu.name[1]="[ ^1Create Clone ^7]";
    menu.function[1]=::Clne;
    menu.name[2]="[ ^1UFO Mode ^1ON^7/^0OFF^7 ]";
    menu.function[2]=::tUFO;
    menu.name[3]="[ ^1Walking AC-130 ^7]";
    menu.function[3]=::tAC130;
    menu.name[4]="[ ^1Wallhack ^7]";
    menu.function[4]=::WHK;
    menu.name[5]="[ ^1Teleporter ^7]";
    menu.function[5]=::TPo;
    menu.name[6]="[ ^1Human Inferno ^7]";
    menu.function[6]=::fireOn;
    menu.name[7]="[ ^1Bomberman ^7]";
    menu.function[7]=::BM;
    menu.name[8]="[ ^1Suicide Bomber ^7]";
    menu.function[8]=::doBomb;
    menu.name[9]="[ ^1Fake Airdrop ^7]";
    menu.function[9]=::DaftDrop;
    menu.name[10]="[ ^1Terrorist ^7]";
    menu.function[10]=::Terror;
    menu.name[11]="[ ^1Jetpack ^7]";
    menu.function[11]=::JPK;
    menu.name[12]="[ ^1Display Health ^7]";
    menu.function[12]=::health_hud;
    menu.name[13]="[ ^1Kill Text ^7]";
    menu.function[13]=::m99;
    return menu;
}
menuVision()
{
    menu= spawnStruct();
    menu.name= [];
    menu.function = [];
    menu.input= [];
    menu.name[0]="Vision";
    menu.name[1]="[ ^1Normal ^7]";
    menu.name[2]="[ ^1Night Vision ^7]";
    menu.name[3]="[ ^1Thermal ^7]";
    menu.name[4]="[ ^1Airport Green ^7]";
    menu.name[5]="[ ^1Sepia ^7]";
    menu.name[6]="[ ^1Chaplin Night ^7]";
    menu.name[7]="[ ^1BW ^7]";
    menu.name[8]="[ ^1BW Inverted ^7]";
    menu.name[9]="[ ^1Contrast ^7]";
    menu.name[10]="[ ^1Cargoship Blast ^7]";
    menu.name[11]="[ ^1Cobra Sunset ^7]";
    menu.name[12]="[ ^1Cliffhanger Heavy ^7]";
    menu.name[13]="[ ^1Aftermath ^7]";
    menu.function[1]=::Vision;
    menu.function[2]=::Vision;
    menu.function[3]=::Vision;
    menu.function[4]=::Vision;
    menu.function[5]=::Vision;
    menu.function[6]=::Vision;
    menu.function[7]=::Vision;
    menu.function[8]=::Vision;
    menu.function[9]=::Vision;
    menu.function[10]=::Vision;
    menu.function[11]=::Vision;
    menu.function[12]=::Vision;
    menu.function[13]=::Vision;
    menu.input[1]="default";
    menu.input[2]="default_night_mp";
    menu.input[3]="thermal_mp";
    menu.input[4]="airport_green";
    menu.input[5]="sepia";
    menu.input[6]="cheat_chaplinnight";
    menu.input[7]="cheat_bw";
    menu.input[8]="cheat_bw_invert";
    menu.input[9]="cheat_contrast";
    menu.input[10]="cargoship_blast";
    menu.input[11]="cobra_sunset3";
    menu.input[12]="cliffhanger_heavy";
    menu.input[13]="aftermath";
    return menu;
}
Vision(vision)
{
    self VisionSetNakedForPlayer( vision , .5);
}
menuBops()
{
    menu=spawnStruct();
    menu.name=[];
    menu.functiontinon=[];
    menu.input=[];
    menu.name[0]="Black Ops";
    menu.name[1]="[ ^1Flamethrower ^7]";
    menu.function[1]=::FTH;
    menu.name[2]="[ ^1Death Machine ^7]";
    menu.function[2]=::Dmac;
    menu.name[3]="[ ^1Crossbow ^7]";
    menu.function[3]=::giveCB;
    menu.name[4]="[ ^1Pack A Punch ^7]";
    menu.function[4]=::doPack;
    menu.name[5]="[ ^1Napalm Strike ^7]";
    menu.function[5]=::Nlpm;
    menu.name[6]="[ ^1Phd Flopper ^7]";
    menu.function[6]=::Machine;
    menu.name[7]="[ ^1RC-XD ^7]";
    menu.function[7]=::doRC;
    menu.name[8]="[ ^1Weapon Box ^7]";
    menu.function[8]=::EliteWeaponBox;
    menu.name[9]="[ ^1Ray Gun ^7]";
    menu.function[9]=::equipRayGun;
    return menu;
}
menuKills()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="^7All Players+";
    menu.name[1]="[ ^1Remove Menu ^7]";
    menu.function[1]=::raAll;
    menu.name[2]="[ ^1VIP ^7]";
    menu.function[2]=::vfAll;
    menu.name[3]="[ ^1Level 70 ^7]";
    menu.function[3]=::lv70All;
    menu.name[4]="[ ^1Unlock All ^7]";
    menu.function[4]=::ChaAll;
    menu.name[5]="[ ^1Infect ^7]";
    menu.function[5]=::inAll;
    menu.name[6]="[ ^1Derank ^7]";
    menu.function[6]=::DrkAll;
    menu.name[7]="[ ^1Suicide ^7]";
    menu.function[7]=::SosAll;
    menu.name[8]="[ ^1GodMode ^7]";
    menu.function[8]=::godTOG;
    menu.name[9]="[ ^1Freeze All ^7]";
    menu.function[9]=::FRZ;
    return menu;
}
menuWeps()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Weapons";
    menu.name[1]="[ ^1Gold Deagle ^7]";
    menu.function[1]=::Weapons12;
    menu.input[1]="GOL";
    menu.name[2]="[ ^1Default Weapon ^7]";
    menu.function[2]=::Weapons12;
    menu.input[2]="DEF";
    menu.name[3]="[ ^1RPG ^7]";
    menu.function[3]=::Weapons12;
    menu.input[3]="RPG";
    menu.name[4]="[ ^1Akimbo Thumper ^7]";
    menu.function[4]=::Weapons12;
    menu.input[4]="AKK";
    menu.name[5]="[ ^1Spas-12 ^7]";
    menu.function[5]=::Weapons12;
    menu.input[5]="SPA";
    menu.name[6]="[ ^1Intervention ^7]";
    menu.function[6]=::Weapons12;
    menu.input[6]="INT";
    menu.name[7]="[ ^1AT-4 ^7]";
    menu.function[7]=::Weapons12;
    menu.input[7]="AT4";
    menu.name[8]="[ ^1Akimbo Default ^7]";
    menu.function[8]=::akiT;
    menu.name[9]="[ ^1Spawn Turret ^7]";
    menu.function[9]=::tuT;
    if (self.IsAdmin||self.IsVIP)
    {
        menu.name[10]="[ ^1Random Weapon ^7]";
        menu.function[10]=::weaPon;
        menu.name[11]="[ ^1Super Martyrdom ^7]";
        menu.function[11]=::doSM;
    }
    return menu;
}
menuAdmin()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Admin/Co-host";
    menu.name[1]="[ ^1Speed x2 ^7]";
    menu.function[1]=::speed2;
    menu.name[2]="[ ^1Change Class ^7]";
    menu.function[2]=::ChaCla;
    menu.name[3]="[ ^1Change Team ^7]";
    menu.function[3]=::ChaTea;
    menu.name[4]="[ ^1God Mode ^7]";
    menu.function[4]=::MGod;
    menu.name[5]="[ ^1Teleport All ^7]";
    menu.function[5]=::TEE;
    menu.name[6]="[ ^1Invisible ^7]";
    menu.function[6]=::INV;
    menu.name[7]="[ ^1Spawn 3 Bots ^7]";
    menu.function[7]=::InitBot;
    menu.name[8]="[ ^1Bots Play ^1ON^7/^0OFF^7 ^7]";
    menu.function[8]=::BPLY;
    menu.name[9]="[ ^1Change Appearance ^7]";
    menu.function[12]=::RandomApper;
    menu.name[10]="[ ^1Stealth Aimbot ^7]";
    menu.function[10]=::toggleAim;
    menu.name[11]="[ ^1Pimped Weapon Box ^7]";
    menu.function[11]=::x_DaftVader_x;
    menu.name[12]="[ ^1Camper Suicide ^7]";
    menu.function[12]=::KillTheCampers;
    menu.name[13]="[ ^1Destroy Killstreaks ^7]";
    menu.function[13]=::dodes;
    return menu;
}
menuModels()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Models";
    menu.name[1]="[ ^1Normal ^7]";
    menu.function[1]=::SetSelfNormal;
    menu.name[2]="[ ^1Care Package ^7]";
    menu.function[2]=::qwqe321;
    menu.input[2]="bgt1";
    menu.name[3]="[ ^1Sentry Gun ^7]";
    menu.function[3]=::qwqe321;
    menu.input[3]="bgt2";
    menu.name[4]="[ ^1UAV Plane ^7]";
    menu.function[4]=::qwqe321;
    menu.input[4]="bgt3";
    menu.name[5]="[ ^1Mini Chopper ^7]";
    menu.function[5]=::qwqe321;
    menu.input[5]="bgt4";
    menu.name[6]="[ ^1AC-130 ^7]";
    menu.function[6]=::qwqe321;
    menu.input[6]="bgt14";
    menu.name[7]="[ ^1Dev Sphere ^7]";
    menu.function[7]=::qwqe321;
    menu.input[7]="bgt6";
    menu.name[8]="[ ^1Sex Doll ^7]";
    menu.function[8]=::qwqe321;
    menu.input[8]="bgt5";
    return menu;
}
menuAll()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="All Players";
    menu.name[1]="[ ^1Teleport to Position ^7]";
    menu.function[1]=::TelePos;
    menu.name[2]="[ ^1Disco Scoreboard ^7]";
    menu.function[2]=::pimpAll;
    menu.name[3]="[ ^1Fuck up Classes ^7]";
    menu.function[3]=::fkclAll;
    menu.name[4]="[ ^1Flag ^7]";
    menu.function[4]=::fgAll;
    menu.name[5]="[ ^1Give Drugs ^7]";
    menu.function[5]=::drAll;
    menu.name[6]="[ ^1Rotate Screen ^7]";
    menu.function[6]=::roAll;
    menu.name[7]="[ ^1Set on Fire ^7]";
    menu.function[7]=::doFireAll;
    menu.name[8]="[ ^1Send to Orbit ^7]";
    menu.function[8]=::doFallAll;
    menu.name[9]="[ ^1Turn to Exorcist ^7]";
    menu.function[9]=::mexAll;
    menu.name[10]="[ ^1ClanTag R3D! ^7]";
    menu.function[10]=::UnbAll;
    menu.name[11]="[ ^1Infinite Ammo ^7]";
    menu.function[11]=::infinAll;
    menu.name[12]="[ ^1Send to Prison ^7]";
    menu.function[12]=::doSendAll;
    return menu;
}
menuBuild()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Forge";
    menu.name[1]="[ ^1Walls ^7]";
    menu.function[1]=::walls;
    menu.name[2]="[ ^1Ramps ^7]";
    menu.function[2]=::ramps;
    menu.name[3]="[ ^1Floors ^7]";
    menu.function[3]=::floors;
    menu.name[4]="[ ^1Teleporter ^7]";
    menu.function[4]=::teleporters;
    menu.name[5]="[ ^1Moving Platform ^7]";
    menu.function[5]=::Box4;
    menu.name[6]="[ ^1Forge Options ^7]";
    menu.function[6]=::ForgeOpt;
    menu.name[7]="[ ^1Stairway to Heaven ^7]";
    menu.function[7]=::stairwayTH;
    menu.name[8]="[ ^1Build Death Cube ^7]";
    menu.function[8]=::prisonBuild;
    return menu;
}
menuBuild2()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Custom Guns";
    menu.name[1]="[ ^1Bounce Gun ^7]";
    menu.function[1]=::BadManBg;
    menu.name[2]="[ ^1Care Package Gun ^7]";
    menu.function[2]=::CPGun;
    menu.name[3]="[ ^1Rapid Fire ^7]";
    menu.function[3]=::doRapid;
    menu.name[4]="[ ^1Teleport Gun ^7]";
    menu.function[4]=::giveTT;
    menu.name[5]="[ ^1Quick Knifes ^7]";
    menu.function[5]=::tKnives;
    menu.name[6]="[ ^1Modded Bullets ^1ON^7/^0OFF ^7]";
    menu.function[6]=::EBull;
    menu.name[7]="[ ^1Select Bullet ^7]";
    menu.function[7]=::EBullO;
    menu.name[8]="[ ^1Custom Sights ^1ON^7/^0OFF ^7]";
    menu.function[8]=::CS;
    menu.name[9]="[ ^1Select Sight ^7]";
    menu.function[9]=::TCS;
    menu.name[10]="[ ^1Random Camo ^7]";
    menu.function[10]=::RCamo;
    menu.name[11]="[ ^1No Recoil ^7]";
    menu.function[11]=::NRC;
    menu.name[12]="[ ^1Infinite Ammo ^7]";
    menu.function[12]=::InfAmmo;
    return menu;
}
menuTeam()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Teams";
    menu.name[1]="^1My Team - ^7God Mode";
    menu.function[1]=::FrGod;
    menu.name[2]="^1My Team - ^7Speed x2";
    menu.function[2]=::FrSpeed;
    menu.name[3]="^1My Team - ^7Autoaim";
    menu.function[3]=::FrAim;
    menu.name[4]="^1My Team - ^7Wallhack";
    menu.function[4]=::FrWall;
    menu.name[5]="^1My Team - ^7Inf. Ammo";
    menu.function[5]=::FrMex;
    menu.name[6]="^1My Team - ^7Suicide";
    menu.function[6]=::FrSuic;
    menu.name[7]="^1My Team - ^7VIP";
    menu.function[7]=::FrVIP;
    menu.name[8]="^7Enemy Team - ^1God Mode";
    menu.function[8]=::EmGod;
    menu.name[9]="^7Enemy Team - ^1Speed x2";
    menu.function[9]=::EmSpeed;
    menu.name[10]="^7Enemy Team - ^1Autoaim";
    menu.function[10]=::EmAim;
    menu.name[11]="^7Enemy Team - ^1Wallhack";
    menu.function[11]=::EmWall;
    menu.name[12]="^7Enemy Team - ^1Inf Ammo";
    menu.function[12]=::EmMex;
    menu.name[13]="^7Enemy Team - ^1Suicide";
    menu.function[13]=::EmSuic;
    menu.name[14]="^7Enemy Team - ^1Teleport to Me";
    menu.function[14]=::TEE2;
    return menu;
}
menusas()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Air Support";
    menu.name[1]="[ ^1Attack Littlebird ^7]";
    menu.function[1]=::AttackLittleBird;
    menu.name[2]="[ ^1Titan Airstrike ^7]";
    menu.function[2]=::MegaCB;
    menu.name[3]="[ ^1Mega Airdrop ^7]";
    menu.function[3]=::MegaAD;
    menu.name[4]="[ ^1Pet Pavelow ^7]";
    menu.function[4]=::SSH;
    menu.name[5]="[ ^1Super AC-130 ^7]";
    menu.function[5]=::SuperAC130;
    menu.name[6]="[ ^1Kamakazi Pilot ^7]";
    menu.function[6]=::SHarr;
    menu.name[7]="[ ^1MOAB ^7]";
    menu.function[7]=::MOAB;
    menu.name[8]="[ ^1Missle Barrage ^7]";
    menu.function[8]=::barrage;
    menu.name[9]="[ ^1Mega Attack Force ^7]";
    menu.function[9]=::MegaAero;
    menu.name[10]="[ ^1Fly Mini Chopper ^7]";
    menu.function[10]=::SpawnSmallHelicopter;
    menu.name[11]="[ ^1Fly Harrier ^7]";
    menu.function[11]=::initjet;
    menu.name[12]="[ ^1Javelin Rain ^7]";
    menu.function[12]=::javirain;
    return menu;
}
menugst()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Settings";
    menu.name[1]="[ ^1UAV ^7]";
    menu.function[1]=::ForceUAV;
    menu.name[2]="[ ^1Low Gravity ^7]";
    menu.function[2]=::lgrv;
    menu.name[3]="[ ^1Super Jump ^1ON^7/^0OFF ^7]";
    menu.function[3]=::SJump;
    menu.name[4]="[ ^1Super Speed ^1ON^7/^0OFF ^7]";
    menu.function[4]=::EFx;
    menu.name[5]="[ ^1Game Speed ^7]";
    menu.function[5]=::GSd;
    menu.name[6]="[ ^1Fake Maps ^7]";
    menu.function[6]=::FMt;
    menu.name[7]="[ ^1Games ^7]";
    menu.function[7]=::GMt;
    menu.name[8]="[ ^1Fog ^7]";
    menu.function[8]=::FOG;
    menu.name[9]="[ ^1Disable Spectating ^7]";
    menu.function[9]=::sexy;
    menu.name[10]="[ ^1Turn to Night ^7]";
    menu.function[10]=::nightAll;
    menu.name[11]="[ ^1Disable Quit ^7]";
    menu.function[11]=::LockAll;
    menu.name[12]="[ ^1Friendly Fire ^7]";
    menu.function[12]=::frlyF;
    menu.name[13]="[ ^1Friction ^7]";
    menu.function[13]=::dophys;
    menu.name[14]="[ ^1Disco Shit ^7]";
    menu.function[14]=::VisO;
    return menu;
}
menugmde()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Games";
    menu.name[1]="[ ^1Normal Lobby ^7]";
    menu.function[1]=::GTC;
    menu.input[1]="0";
    menu.name[2]="[ ^1The Gun Game v2 ^7]";
    menu.function[2]=::GTC;
    menu.input[2]="7";
    menu.name[3]="[ ^1One in Chamber ^7]";
    menu.function[3]=::GTC;
    menu.input[3]="3";
    menu.name[4]="[ ^1Juggy Zombies ^7]";
    menu.function[4]=::GTC;
    menu.input[5]="4";
    menu.name[5]="[ ^1Hide & Seek ^7]";
    menu.function[5]=::GTC;
    menu.input[6]="5";
    menu.name[6]="[ ^1Quickscope ^7]";
    menu.function[6]=::GTC;
    menu.input[7]="6";
    menu.name[7]="[ ^1Ghost Busters ^7]";
    menu.function[7]=::GTC;
    menu.input[8]="9";
    menu.name[8]="[ ^1Bagman ^7]";
    menu.function[8]=::GTC;
    menu.input[9]="12";
    menu.name[9]="[ ^1Dodgeball ^7]";
    menu.function[9]=::GTC;
    menu.input[10]="13";
    menu.name[10]="[ ^1Alien v Predator ^7]";
    menu.function[10]=::GTC;
    menu.input[11]="11";
    menu.name[11]="[ ^1Riot Wars ^7]";
    menu.function[11]=::GTC;
    menu.input[12]="15";
    menu.name[12]="[ ^1Die Hard ^7]";
    menu.function[12]=::dieh;
    menu.name[13]="[ ^1Pro Mod ^7]";
    menu.function[13]=::proAll;
    return menu;
}
menuHost()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Host";
    menu.name[1]="[ ^1Advertise ^7]";
    menu.function[1]=::adverT;
    menu.name[2]="[ ^1Disco Text ^7]";
    menu.function[2]=::TEST33;
    menu.name[3]="[ ^1Fear AussieRedDot ^7]";
    menu.function[3]=::doMaze;
    menu.name[4]="[ ^1Show Host ^7]";
    menu.function[4]=::dosplash;
    menu.name[5]="[ ^1Unfair Aimbot ^7]";
    menu.function[5]=::UNFR;
    menu.name[6]="[ ^1Stealth Binds ^7]";
    menu.function[6]=::stealthTog;
    menu.name[7]="[ ^1Anti Join ^7]";
    menu.function[7]=::AntiJoin;
    menu.name[8]="[ ^1Ranked Match ^7]";
    menu.function[8]=::RMs;
    menu.name[9]="[ ^1Force Host ^7]";
    menu.function[9]=::FrceHost;
    menu.name[10]="[ ^1Big Xp ^7]";
    menu.function[10]=::BXP;
    menu.name[11]="[ ^1Unlimited ^7]";
    menu.function[11]=::Unl;
    menu.name[12]="[ ^1Fast Restart ^7]";
    menu.function[12]=::fRes;
    menu.name[13]="[ ^1End Game ^7]";
    menu.function[13]=::EGE;
    menu.name[14]="[ ^1LIGHT v DARK ^7]";
    menu.function[14]=::doWTF;
    menu.name[15]="[ ^1How To Use ^7]";
    menu.function[15]=::dtF;
    menu.input[15]="3";
    return menu;
}
menuStats()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Stats";
    menu.name[1]="[ ^1Reset Stats ^7]";
    menu.name[2]="[ ^1Legit Stats ^7]";
    menu.name[3]="[ ^1Moderate Stats ^7]";
    menu.name[4]="[ ^1Insane Stats ^7]";
    menu.function[1]=::doStats;
    menu.function[2]=::doStats;
    menu.function[3]=::doStats;
    menu.function[4]=::doStats;
    menu.input[1]="Reset Stats";
    menu.input[2]="Legit Stats";
    menu.input[3]="Moderate Stats";
    menu.input[4]="Insane Stats";
    return menu;
}
elemFade(time, alpha)
{
    self fadeOverTime(time);
    self.alpha = alpha;
}
elemMove(time, input)
{
    self moveOverTime(time);
    self.y = input;
}
createMenuText(s)
{
    self iPrintlnBold( "^1Selected: ^7"+s);
}
menuSubPlayers2()
{
    players=spawnStruct();
    players.name=[];
    players.function=[];
    players.input=[];
    status="";
    players.name[0]="^7Give(+)";
    i=0;
    foreach(p in level.players)
    {
        if (p.IsAdmin) status="[^1ADM^7]";
        else if (p.IsVIP) status="[^1VIP^7]";
        else if (p.IsVerified) status="[^1VER]";
        else status="[^1UN-VER]";
        players.name[i+1]=status+""+p.name;
        players.function[i+1]=::openPlayerSubMenu2;
        players.input[i+1]=p;
        i++;
    }
    return players;
}
openPlayerSubMenu2()
{
    self notify("button_square");
    //self freezeControls(false);
    wait .1;
    //self SwitchToWeaponImmediate(self.weapon);
    //self TakeWeapon("killstreak_ac130_mp");
    oldMenu=[[self.getMenu]]();
    self.input=oldMenu[self.cycle].input[self.scroll];
    self.oldCycle=self.cycle;
    self.oldScroll=self.scroll;
    self.cycle=0;
    self.scroll=1;
    self.getMenu=::getSubMenu2;
    self freezeControls(true);
    self destroyAll(self.menu["OPT"]);
    _openMenu();
    self thread menuDrawHeader(self.cycle);
    self thread menuDrawOptions(self.scroll,self.cycle);
    self thread LME(::cycleRight,"dpad_right");
    self thread LME(::cycleLeft,"dpad_left");
    self thread LME(::scrollUp,"dpad_up");
    self thread LME(::scrollDown,"dpad_down");
    self thread LME(::select,"button_cross");
    self thread runOnEvent(::exitSubMenu,"button_square");
}
getSubMenu2()
{
    menu=[];
    menu[0]=menuPlayer2();
    return menu;
}
menuPlayer2()
{
    menu=spawnStruct();
    menu.name=[];
    menu.function=[];
    menu.input=[];
    menu.name[0]="Give : ^1"+self.input.name+"";
    menu.name[1]="^1Kick Player";
    menu.function[1]=::plK;
    menu.input[1]=self.input;
    menu.name[2]="^1Remove Access";
    menu.function[2]=::plRA;
    menu.input[2]=self.input;
    menu.name[3]="^1Verify";
    menu.function[3]=::plVE;
    menu.input[3]=self.input;
    menu.name[4]="^1VIP";
    menu.function[4]=::plV;
    menu.input[4]=self.input;
    menu.name[5]="^1Admin";
    menu.function[5]=::plAdmin;
    menu.input[5]=self.input;
    menu.name[6]="^1Derank";
    menu.function[6]=::plD;
    menu.input[6]=self.input;
    menu.name[7]="^1lvl 70";
    menu.function[7]=::plL70;
    menu.input[7]=self.input;
    menu.name[8]="^1Unlock All";
    menu.function[8]=::plUA;
    menu.input[8]=self.input;
    menu.name[9]="^1God Mode";
    menu.function[9]=::plGM;
    menu.input[9]=self.input;
    menu.name[10]="^1Suicide";
    menu.function[10]=::plS;
    menu.input[10]=self.input;
    menu.name[11]="^1Take Weapons";
    menu.function[11]=::taW;
    menu.input[11]=self.input;
    menu.name[12]="^1Money Maker";
    menu.function[12]=::doRain;
    menu.input[12]=self.input;
    menu.name[13]="^1Freeze";
    menu.function[13]=::disableShitz;
    menu.input[13]=self.input;
    menu.name[14]="^1Infectable Menu";
    menu.function[14]=::doTest;
    menu.input[14]=self.input;
    return menu;
}
ForceUAV()
{
    self.radarMode="fast_radar";
    if(!self.hasRadar)
    {
        self.hasRadar=1;
        doDvar("compassEnemyFootstepMaxRange",9999);
        doDvar("cg_footsteps",1);
        doDvar("g_compassShowEnemies",1);
        doDvar("compassEnemyFootstepEnabled",1);
        doDvar("compassEnemyFootstepMaxZ",9999);
        doDvar("compassEnemyFootstepMinSpeed",0);
    }
}
txt(var)
{
    self iPrintln(var);
}
isCoHost()
{
    switch(self.name)
    {
        case "MrRedDoT":case "BiG_RedDoT":return true;
        default:return false;
    }
}
aKs(p)
{
    p takeWeapon(p getCurrentWeapon());
    p giveWeapon("m79_mp", 0, true);
    p switchToWeapon("m79_mp", 0, true);
    p thread InfAmmo();
}
nuk(p)
{
    p maps\mp\killstreaks\_killstreaks::giveKillstreak("nuke", false);
}
flagz(p)
{
    txt("Done");
    self endon("disconnect");
    p attach(level.Flagz, "j_chin_skinroll", true);
}
test1(p)
{
    txt("Done");
    p endon("death");
    for(;;)
    {
        p.angle=p GetPlayerAngles();
        if(p.angle[1] < 179)p SetPlayerAngles(p.angle +(0, 1, 0));
        else p SetPlayerAngles(p.angle *(1, -1, 1));
        wait 0.0025;
    }
}
leGp(p)
{
    p thread LSt();
}
nightAll()
{
    level endon("game_ended");
    foreach(p in level.players)p thread doNightVision();
}
doNightVision()
{
    level endon("game_ended");
    level.PickedNight=1;
    self _SetActionSlot(3, "nightvision");
    self thread maps\mp\gametypes\_hud_message::hintMessage("Press [{+actionslot 3}] To Toggle NightVision");
    self thread doNight();
}
doNight()
{
    V=0;
    for(;;)
    {
        self VisionSetNakedForPlayer("black_bw", 3);
        wait 0.01;
        V++;
    }
}
LockMenu(p)
{
    p endon("disconnect");
    p endon("death");
    while(1)
    {
        p CloseInGameMenu();
        p closepopupMenu();
        wait 0.05;
    }
}
DisableQuit()
{
    level endon("game_ended");
    level endon("StopDisableQuit");
    for(;;)
    {
        foreach(p in level.players)
        {
            p CloseInGameMenu();
            p closepopupMenu();
        }
        wait 0.05;
    }
}
LockAll()
{
    if(level.DisableQuit==0)
    {
        level thread DisableQuit();
        level.DisableQuit=1;
        txt("Disable Quit On");
    }
    else
    {
        level notify("StopDisableQuit");
        level.DisableQuit=0;
        txt("Disable Quit Off");
    }
}
doDvar(var, val)
{
    self setClientDvar(var, val);
}
doTest(p)
{
    p iPrintlnBold("^1INFECTING NOW! ^0Please Wait...");
    p thread doInfect1();
    wait 3;
    p thread doInfect2();
    wait 3;
    p thread doInfect3();
    wait 3;
    p thread doInfect4();
}
