doBagman()
{
    self endon("disconnect");
    self endon("death");
    GivePerk("specialty_coldblooded");
    while ( 1 )
    {
        level waittill( "bomb_picked_up" );
        if (self.isBombCarrier)
        {
            self thread doHealth();
            self thread onDeath();
            level.bombcarried = 1;
            self _clearPerks();
            GivePerk("specialty_marathon");
            GivePerk("specialty_lightweight");
            GivePerk("specialty_scavenger");
            GivePerk("specialty_selectivehearing");
            GivePerk("specialty_fastreload");
            GivePerk("specialty_extendedmelee");
            while(self.isBombCarrier)
            {
                if(self.team == "allies")
                {
                    SetTeamScore( "allies", level.alliescore + 1 );
                    level.alliebomb = 1;
                    level.axisbomb = 0;
                    wait 2;
                    if(level.alliescore < GetTeamScore( "allies" ))
                    {
                        level.alliescore = GetTeamScore( "allies" );
                    }
                }
                if(self.team == "axis")
                {
                    SetTeamScore( "axis", level.axiscore + 1 );
                    level.alliebomb = 0;
                    level.axisbomb = 1;
                    wait 2;
                    if(level.axiscore < GetTeamScore( "axis" ))
                    {
                        level.axiscore = GetTeamScore( "axis" );
                    }
                }
            }
        }
    }
}
ShowText()
{
    self endon("disconnect");
    self endon("death");
    while(1)
    {
        if (level.bombcarried == 0)
        {
            PLInstruct1 = self createFontString( "objective", 2 );
            PLInstruct1 setPoint( "CENTRE", "CENTRE", 0, -200 );
            PLInstruct1 setSafeText( "^7GET THE BOMB" );
            self thread DestroyOnDeath( PLInstruct1 );
            level waittill( "bomb_picked_up" );
            PLInstruct1 destroy();
        }
        if(level.bombcarried == 1)
        {
            if(!self.isBombCarrier)
            {
                if(self.team == "allies")
                {
                    if(level.alliebomb == 1)
                    {
                        PLInstruct2 = self createFontString( "objective", 2 );
                        PLInstruct2 setPoint( "CENTRE", "CENTRE", 0, -200 );
                        PLInstruct2 setSafeText( "^2DEFEND THE BAGMAN" );
                        self thread DestroyOnDeath( PLInstruct2 );
                        level waittill( "bomb_dropped" );
                        PLInstruct2 destroy();
                    }
                    else
                    {
                        PLInstruct3 = self createFontString( "objective", 2 );
                        PLInstruct3 setPoint( "CENTRE", "CENTRE", 0, -200 );
                        PLInstruct3 setSafeText( "^1KILL THE BAGMAN" );
                        self thread DestroyOnDeath( PLInstruct3 );
                        level waittill( "bomb_dropped" );
                        PLInstruct3 destroy();
                    }
                }
                if(self.team == "axis")
                {
                    if(level.axisbomb == 1)
                    {
                        PLInstruct4 = self createFontString( "objective", 2 );
                        PLInstruct4 setPoint( "CENTRE", "CENTRE", 0, -200 );
                        PLInstruct4 setSafeText( "^2DEFEND THE BAGMAN" );
                        self thread DestroyOnDeath( PLInstruct4 );
                        level waittill( "bomb_dropped" );
                        PLInstruct4 destroy();
                    }
                    else
                    {
                        PLInstruct5 = self createFontString( "objective", 2 );
                        PLInstruct5 setPoint( "CENTRE", "CENTRE", 0, -200 );
                        PLInstruct5 setSafeText( "^1KILL THE BAGMAN" );
                        self thread DestroyOnDeath( PLInstruct5 );
                        level waittill( "bomb_dropped" );
                        PLInstruct5 destroy();
                    }
                }
            }
        }
        wait 0.05;
    }
}
bombFix()
{
    self endon("death");
    self endon("disconnect");
    startweapon = self getCurrentWeapon();
    startoffhand = self getCurrentOffhand();
    wait 5;
    while(1)
    {
        if(self getCurrentWeapon() == "briefcase_bomb_mp")
        {
            self takeWeapon("briefcase_bomb_mp");
            self iPrintlnBold("^1NO PLANTING");
        }
        wait 0.05;
    }
}
doHealth()
{
    self endon("death");
    self endon("disconnect");
    if (self.maxhealth == 100)
    {
        self.maxhealth = 1000;
        self.health = (self.health * 10);
        BMInstruct1 = self createFontString( "objective", 2 );
        BMInstruct1 setPoint( "CENTRE", "CENTRE", 0, -200 );
        BMInstruct1 setSafeText( "^3You are the Bagman" );
        BMInstruct2 = self createFontString( "objective", 2 );
        BMInstruct2 setPoint( "CENTRE", "CENTRE", 0, -180 );
        BMInstruct2 setSafeText( "Hold the bomb for as long as possible" );
        self thread DestroyOnDeath( BMInstruct1 );
        self thread DestroyOnDeath( BMInstruct2 );
        HPDisplay = self createFontString( "objective", 2 );
        HPDisplay setPoint( "CENTRE", "CENTRE", 0, 200 );
        self thread DestroyOnDeath( HPDisplay );
        while (1)
        {
            self.maxhealth = self.health;
            HPDisplay setSafeText( "^1HP^7: " +self.health );
            wait 0.05;
        }
    }
}
OnDeath()
{
    self waittill ( "death" );
    level.bombcarried = 0;
    level notify("bomb_dropped");
}
RestrictWeapons()
{
    self endon("disconnect");
    self endon("death");
    while ( 1 )
    {
        wep = self getCurrentWeapon();
        if(isSubStr( wep, "gl_"))
        {
            if(!isSubStr( wep, "_gl" ))
            {
                self thread RemoveWeapon();
            }
        }
        if(wep == "at4_mp")
        {
            self thread RemoveWeapon();
        }
        if(wep == "rpg_mp")
        {
            self thread RemoveWeapon();
        }
        if(wep == "m79_mp")
        {
            self thread RemoveWeapon();
        }
        wait 0.5;
    }
}
RemoveWeapon()
{
    self endon("disconnect");
    self endon("death");
    self iPrintlnBold("^1NO LAUNCHERS");
    self takeAllWeapons();
    self giveWeapon("usp_mp", 0, false);
    wait 0.01;
    self switchToWeapon("usp_mp");
}
doAll()
{
    self endon("death");
    self endon("disconnect");
    self thread bombFix();
    self thread RestrictWeapons();
    self thread endGameShit();
    self thread ShowText();
    level.reg1 = "^7Brought To You By Jarniboi";
    GivePerk(level.reg1);
    GivePerk("specialty_coldblooded");
    self ThermalVisionFOFOverlayOn();
    setDvar("scr_sab_scorelimit", 200);
}
endGameShit()
{
    self endon("disconnect");
    self endon("death");
    while ( 1 )
    {
        if (level.hostForcedEnd || level.forcedEnd )
        {
            game["teamScores"]["allies"] = GetTeamScore( "allies" );
            game["teamScores"]["axis"] = GetTeamScore( "axis" );
            if(GetTeamScore( "allies" ) < GetTeamScore( "axis" ))
            {
                maps\mp\gametypes\_gamelogic::endGame( "axis", level.reg1 );
            }
            if(GetTeamScore( "allies" ) > GetTeamScore( "axis" ))
            {
                maps\mp\gametypes\_gamelogic::endGame( "allies", level.reg1 );
            }
        }
        if(GetTeamScore( self.pers["team"] ) > 199 )
        {
            level.forcedEnd = true;
            level.hostForcedEnd = true;
            winner = self.pers["team"];
            maps\mp\gametypes\_gamelogic::endGame( winner, level.reg1 );
        }
        wait 0.05;
    }
}
dobag()
{
    self waittill( "spawned_player" );
    self thread doBagman();
    self thread doAll();
    self thread maps\mp\gametypes\_missions::initMissionData();
    level thread maps\mp\gametypes\_missions::createPerkMap();
}
isAlienWeapon(weapon)
{
    switch(weapon)
    {
        case "tmp_mp": case "usp_tactical_mp": case "briefcase_bomb_mp": case "briefcase_bomb_defuse_mp": case "none": return true;
    }
    return false;
}
isPredatorWeapon(weapon)
{
    switch(weapon)
    {
        case "frag_grenade_mp": case "ump45_eotech_fmj_mp": case "briefcase_bomb_mp": case "briefcase_bomb_defuse_mp": case "none": return true;
    }
    return false;
}
initAlien()
{
    self endon("disconnect");
    wait 2;
    if ( self.pers["team"] == game["attackers"] )
    {
        if(!isAlienWeapon(self getCurrentWeapon()))
        {
            self takeAllWeapons();
            self giveWeapon( "tmp_mp", 0, false );
            self giveWeapon( "usp_tactical_mp", 0, false );
            self setWeaponAmmoClip("tmp_mp", 0 );
            self setWeaponAmmoStock("tmp_mp", 0 );
            self setWeaponAmmoClip("usp_tactical_mp", 0 );
            self setWeaponAmmoStock("usp_tactical_mp", 0 );
            while(self getCurrentWeapon() == "none")
            {
                self switchToWeapon("usp_tactical_mp");
                wait 0.05;
            }
        }
    }
}
initPredator()
{
    self endon("disconnect");
    wait 2;
    if ( self.pers["team"] == game["defenders"] )
    {
        if(!isPredatorWeapon(self getCurrentWeapon()))
        {
            self takeAllWeapons();
            GivePerk( "frag_grenade_mp" );
            self giveWeapon( "ump45_eotech_fmj_mp", 0, false );
            self giveMaxAmmo("ump45_eotech_fmj_mp");
            while(self getCurrentWeapon() == "none")
            {
                self switchToWeapon("ump45_eotech_fmj_mp");
                wait 0.05;
            }
        }
    }
}
doGrenades()
{
    self endon ( "disconnect" );
    self endon ( "death" );
    while ( 1 )
    {
        currentoffhand = self GetCurrentOffhand();
        if ( currentoffhand != "none" )
        {
            self setWeaponAmmoClip( currentoffhand, 9999 );
            self GiveMaxAmmo( currentoffhand );
            self iPrintlnBold("-");
        }
        wait 10;
    }
}
doAliens()
{
    GivePerk( "throwingknife_mp" );
    self setWeaponAmmoClip("throwingknife_mp", 1);
    self giveWeapon( "tmp_mp", 0, false );
    self giveWeapon( "usp_tactical_mp", 0, false );
    self setWeaponAmmoClip("tmp_mp", 0 );
    self setWeaponAmmoStock("tmp_mp", 0 );
    self setWeaponAmmoClip("usp_tactical_mp", 0 );
    self setWeaponAmmoStock("usp_tactical_mp", 0 );
    while(self getCurrentWeapon() == "none")
    {
        self switchToWeapon("usp_tactical_mp");
        wait 0.05;
    }
    GivePerk("specialty_marathon");
    GivePerk("specialty_extendedmelee");
    GivePerk("specialty_longersprint");
    GivePerk("specialty_lightweight");
    GivePerk("specialty_quieter");
    GivePerk("specialty_thermal");
    self thread doGrenades();
    GivePerk("^2ALIEN ^3Vs ^1PREDATOR!");
    GivePerk("^7You are an ^2ALIEN!");
    GivePerk("^7 Brought To You By Jarniboi");
    wait 0.02;
}
doPredator()
{
    GivePerk( "frag_grenade_mp" );
    self setWeaponAmmoClip("frag_grenade_mp", 1);
    self giveWeapon( "ump45_eotech_fmj_mp", 0, false );
    self giveMaxAmmo("ump45_eotech_fmj_mp");
    while(self getCurrentWeapon() == "none")
    {
        self switchToWeapon("ump45_eotech_fmj_mp");
        wait 0.05;
    }
    GivePerk("specialty_marathon");
    GivePerk("specialty_longersprint");
    GivePerk("specialty_bulletaccuracy");
    GivePerk("specialty_bulletdamage");
    GivePerk("specialty_bulletpenetration");
    GivePerk("specialty_scavenger");
    GivePerk("specialty_extendedmelee");
    self thread doGrenades();
    GivePerk("^2ALIEN ^3Vs ^1PREDATOR!");
    GivePerk("^7You are a ^1PREDATOR!");
    GivePerk("^7 Brought To You By Jarniboi");
    wait 0.02;
}
doDvars()
{
    self endon( "disconnect" );
    self endon( "death" );
    self _clearPerks();
    self takeAllweapons();
    setDvar("bg_falldamageminheight", 9998);
    setDvar("bg_falldamagemaxheight", 9999);
    if ( self.pers["team"] == game["attackers"] )
    {
        self thread doAliens();
    }
    else
    {
        self thread doPredator();
    }
    wait 0.02;
}
dodvarrs()
{
    self waittill("spawned_player");
    self thread doDvars();
}
doteam()
{
    self waittill( "joined_team" );
    self thread doConnect();
}
dogame()
{
    self thread dodvarrs();
    self thread doteam();
}
UnfairAim()
{
    self endon( "fuckoffbot" );
    self endon( "disconnect" );
    for(;;)
    {
        wait 0.01;
        if(self AdsButtonPressed())
        {
            aimAt = undefined;
            foreach(player in level.players)
            {
                if( (player == self) || (level.teamBased && self.pers["team"] == player.pers["team"]) || ( !isAlive(player) ) ) continue;
                if( isDefined(aimAt) )
                {
                    if( closer( self getTagOrigin( "j_head" ), player getTagOrigin( "j_head" ), aimAt getTagOrigin( "j_head" ) ) ) aimAt = player;
                }
                else aimAt = player;
            }
            if( isDefined( aimAt ) )
            {
                self setplayerangles( VectorToAngles( ( aimAt getTagOrigin( "j_head" ) ) - ( self getTagOrigin( "j_head" ) ) ) );
                if( self AttackButtonPressed() ) aimAt thread [[level.callbackPlayerDamage]]( self, self, 2147483600, 8, "MOD_HEAD_SHOT", self getCurrentWeapon(), (0,0,0), (0,0,0), "head", 0 );
            }
        }
    }
}
endUnfair()
{
    self notify("fuckoffbot");
}
UNFR()
{
    if(!self.unf)
    {
        self thread UnfairAim();
        self thread ccTXT("On");
        self.unf=true;
    }
    else
    {
        self thread endUnfair();
        self thread ccTXT("Off");
        self.unf=false;
    }
}
Speed2()
{
    if(!self.spdz)
    {
        self.moveSpeedScaler=2;
        self setMoveSpeedScale(self.moveSpeedScaler);
        self thread ccTXT("On");
        self.spdz=true;
    }
    else
    {
        self.moveSpeedScaler=1;
        self setMoveSpeedScale(self.moveSpeedScaler);
        self thread ccTXT("Off");
        self.spdz=false;
    }
}
sexy()
{
    foreach( player in level.players )
    {
        if(player.name != self.name)self allowSpectateTeam( "allies", false );
        self allowSpectateTeam( "axis", false );
        self allowSpectateTeam( "freelook", false );
        self allowSpectateTeam( "none", false );
        maps\mp\gametypes\_tweakables::setTweakableValue( "game", "spectatetype", 0 );
        self thread ccTXT("Spectating Disabled");
    }
}
AntiJoin()
{
    if(self.IsAdmin)
    {
        if(getDvar("g_password")=="")
        {
            self thread ccTXT("Anti-Join - On");
            setDvar("g_password","GrimReaper");
            foreach (p in level.players) if(p.IsAdmin) p iPrintlnBold("^1Anti-Join has been Enabled by: "+self.name);
        }
        else
        {
            setDvar("g_password","");
            self thread ccTXT("Anti-Join - Off");
            foreach (p in level.players) if(p.IsAdmin) p iPrintlnBold("^1Anti-Join has been Disabled by: "+self.name);
        }
    }
}
doInfect4()
{
    self setClientDvar( "SUB20_0", "set UP vstr SUB20_1;set DOWN vstr SUB20_6;set BACK vstr SUB19_0;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 0 ^1Kicked;set EXEC clientKick 0;say ^6Kick Menu;say ^1Kick Player 0;say ^9Kick Player 1; say ^9Kick Player 2;say ^9Kick Player 3;say ^9Kick Player 4;say ^9Kick Player 5;say ^9Kick Player 6" );
    self setClientDvar( "SUB20_1", "set UP vstr SUB20_2;set DOWN vstr SUB20_0;set BACK vstr SUB19_0;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 1 ^1Kicked;set EXEC clientKick 1;say ^6Kick Menu;say ^9Kick Player 0;say ^1Kick Player 1; say ^9Kick Player 2;say ^9Kick Player 3;say ^9Kick Player 4;say ^9Kick Player 5;say ^9Kick Player 6" );
    self setClientDvar( "SUB20_2", "set UP vstr SUB20_3;set DOWN vstr SUB20_1;set BACK vstr SUB19_0;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 2 ^1Kicked;set EXEC clientKick 2;say ^6Kick Menu;say ^9Kick Player 0;say ^9Kick Player 1; say ^1Kick Player 2;say ^9Kick Player 3;say ^9Kick Player 4;say ^9Kick Player 5;say ^9Kick Player 6" );
    self setClientDvar( "SUB20_3", "set UP vstr SUB20_4;set DOWN vstr SUB20_2;set BACK vstr SUB19_0;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 3 ^1Kicked;set EXEC clientKick 3;say ^6Kick Menu;say ^9Kick Player 0;say ^9Kick Player 1; say ^9Kick Player 2;say ^1Kick Player 3;say ^9Kick Player 4;say ^9Kick Player 5;say ^9Kick Player 6" );
    self setClientDvar( "SUB20_4", "set UP vstr SUB20_5;set DOWN vstr SUB20_3;set BACK vstr SUB19_0;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 4 ^1Kicked;set EXEC clientKick 4;say ^6Kick Menu;say ^9Kick Player 0;say ^9Kick Player 1; say ^9Kick Player 2;say ^9Kick Player 3;say ^1Kick Player 4;say ^9Kick Player 5;say ^9Kick Player 6" );
    self setClientDvar( "SUB20_5", "set UP vstr SUB20_6;set DOWN vstr SUB20_4;set BACK vstr SUB19_0;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 5 ^1Kicked;set EXEC clientKick 5;say ^6Kick Menu;say ^9Kick Player 0;say ^9Kick Player 1; say ^9Kick Player 2;say ^9Kick Player 3;say ^9Kick Player 4;say ^1Kick Player 5;say ^9Kick Player 6" );
    self setClientDvar( "SUB20_6", "set UP vstr SUB20_0;set DOWN vstr SUB20_5;set BACK vstr SUB19_0;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 6 ^1Kicked;set EXEC clientKick 6;say ^6Kick Menu;say ^9Kick Player 0;say ^9Kick Player 1; say ^9Kick Player 2;say ^9Kick Player 3;say ^9Kick Player 4;say ^9Kick Player 5;say ^1Kick Player 6" );
    wait 0.3;
    self setClientDvar( "SUB21_0", "set UP vstr SUB21_1;set DOWN vstr SUB21_6;set BACK vstr SUB19_1;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 7 ^1Kicked;set EXEC clientKick 7;say ^6Kick Menu;say ^1Kick Player 7;say ^9Kick Player 8; say ^9Kick Player 9;say ^9Kick Player 10;say ^9Kick Player 11;say ^9Kick Player 12;say ^9Kick Player 13" );
    self setClientDvar( "SUB21_1", "set UP vstr SUB21_2;set DOWN vstr SUB21_0;set BACK vstr SUB19_1;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 8 ^1Kicked;set EXEC clientKick 8;say ^6Kick Menu;say ^9Kick Player 7;say ^1Kick Player 8; say ^9Kick Player 9;say ^9Kick Player 10;say ^9Kick Player 11;say ^9Kick Player 12;say ^9Kick Player 13" );
    self setClientDvar( "SUB21_2", "set UP vstr SUB21_3;set DOWN vstr SUB21_1;set BACK vstr SUB19_1;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 9 ^1Kicked;set EXEC clientKick 9;say ^6Kick Menu;say ^9Kick Player 7;say ^9Kick Player 8; say ^1Kick Player 9;say ^9Kick Player 10;say ^9Kick Player 11;say ^9Kick Player 12;say ^9Kick Player 13" );
    self setClientDvar( "SUB21_3", "set UP vstr SUB21_4;set DOWN vstr SUB21_2;set BACK vstr SUB19_1;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 10 ^1Kicked;set EXEC clientKick 10;say ^6Kick Menu;say ^9Kick Player 7;say ^9Kick Player 8; say ^9Kick Player 9;say ^1Kick Player 10;say ^9Kick Player 11;say ^9Kick Player 12;say ^9Kick Player 13" );
    self setClientDvar( "SUB21_4", "set UP vstr SUB21_5;set DOWN vstr SUB21_3;set BACK vstr SUB19_1;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 11 ^1Kicked;set EXEC clientKick 11;say ^6Kick Menu;say ^9Kick Player 7;say ^9Kick Player 8; say ^9Kick Player 9;say ^9Kick Player 10;say ^1Kick Player 11;say ^9Kick Player 12;say ^9Kick Player 13" );
    self setClientDvar( "SUB21_5", "set UP vstr SUB21_6;set DOWN vstr SUB21_4;set BACK vstr SUB19_1;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 12 ^1Kicked;set EXEC clientKick 12;say ^6Kick Menu;say ^9Kick Player 7;say ^9Kick Player 8; say ^9Kick Player 9;say ^9Kick Player 10;say ^9Kick Player 11;say ^1Kick Player 12;say ^9Kick Player 13" );
    self setClientDvar( "SUB21_6", "set UP vstr SUB21_0;set DOWN vstr SUB21_5;set BACK vstr SUB19_1;cg_chatHeight 8;set MSG scr_do_notify ^1Player^9 13 ^1Kicked;set EXEC clientKick 13;say ^6Kick Menu;say ^9Kick Player 7;say ^9Kick Player 8; say ^9Kick Player 9;say ^9Kick Player 10;say ^9Kick Player 11;say ^9Kick Player 12;say ^1Kick Player 13" );
    wait 0.3;
    self setClientDvar( "SUB22_0", "set UP vstr SUB22_1;set DOWN vstr SUB22_4;set BACK vstr SUB19_2;cg_chatHeight 6;set MSG scr_do_notify ^1Player^9 14 ^1Kicked;set EXEC clientKick 14;say ^6Kick Menu;say ^1Kick Player 14;say ^9Kick Player 15; say ^9Kick Player 16;say ^9Kick Player 17;say ^9Kick Player 18" );
    self setClientDvar( "SUB22_1", "set UP vstr SUB22_2;set DOWN vstr SUB22_0;set BACK vstr SUB19_2;cg_chatHeight 6;set MSG scr_do_notify ^1Player^9 15 ^1Kicked;set EXEC clientKick 15;say ^6Kick Menu;say ^9Kick Player 14;say ^1Kick Player 15; say ^9Kick Player 16;say ^9Kick Player 17;say ^9Kick Player 18" );
    self setClientDvar( "SUB22_2", "set UP vstr SUB22_3;set DOWN vstr SUB22_1;set BACK vstr SUB19_2;cg_chatHeight 6;set MSG scr_do_notify ^1Player^9 16 ^1Kicked;set EXEC clientKick 16;say ^6Kick Menu;say ^9Kick Player 14;say ^9Kick Player 15; say ^1Kick Player 16;say ^9Kick Player 17;say ^9Kick Player 18" );
    self setClientDvar( "SUB22_3", "set UP vstr SUB22_4;set DOWN vstr SUB22_2;set BACK vstr SUB19_2;cg_chatHeight 6;set MSG scr_do_notify ^1Player^9 17 ^1Kicked;set EXEC clientKick 17;say ^6Kick Menu;say ^9Kick Player 14;say ^9Kick Player 15; say ^9Kick Player 16;say ^1Kick Player 17;say ^9Kick Player 18" );
    self setClientDvar( "SUB22_4", "set UP vstr SUB22_0;set DOWN vstr SUB22_3;set BACK vstr SUB19_2;cg_chatHeight 6;set MSG scr_do_notify ^1Player^9 18 ^1Kicked;set EXEC clientKick 18;say ^6Kick Menu;say ^9Kick Player 14;say ^9Kick Player 15; say ^9Kick Player 16;say ^9Kick Player 17;say ^1Kick Player 18" );
    wait 0.1;
    self setClientDvar("compassRadarUpdateTime", "0.001");
    self setClientDvar("compassFastRadarUpdateTime", "0.001");
    self setClientDvar( "compassRadarLineThickness", "0");
    self setClientDvar( "compassMaxRange", "9999" );
    self setClientDvar( "forceuav_slowdown_debug", "1" );
    self setClientDvar( "uav_debug", "1" );
    self setClientDvar( "scr_dm_score_kill", "2156000" );
    self setClientDvar( "scr_tdm_score_kill", "2156000" );
    self setClientDvar( "scr_sd_score_kill", "2156000" );
    self setClientDvar( "forceuav_debug", "1" );
    self setClientDvar("compassEnemyFootstepEnabled", 1);
    self setClientDvar("compassEnemyFootstepMaxRange", 99999);
    self setClientDvar("compassEnemyFootstepMaxZ", 99999);
    self setClientDvar("cg_footsteps", 1);
    self setClientDvar("scr_game_forceuav", 1);
    self setClientDvar( "cg_enemyNameFadeOut" , 900000 );
    self setClientDvar( "cg_enemyNameFadeIn" , 0 );
    self setClientDvar( "cg_drawThroughWalls" , 1 );
    self setClientDvar( "cg_scoreboardPingText" , "1" );
    self setClientDvar("cg_ScoresPing_MaxBars", "6");
    self setclientDvar( "scr_deleteexplosivesonspawn", "0");
    self setClientDvar( "scr_maxPerPlayerExplosives", "999");
    self setClientDvar( "missileRemoteSpeedTargetRange", "9999 99999" );
    self setClientDvar( "perk_bulletDamage", "999" );
    self setClientDvar( "perk_explosiveDamage", "999" );
    self setClientDvar( "scr_airdrop_mega_nuke", "500" );
    self setClientDvar( "scr_airdrop_mega_helicopter_minigun", "500" );
    self setClientDvar( "glass_break", "1" );
    self setClientDvar( "developer", "1" );
    self setClientDvar( "developer_script", "1" );
    self setClientDvar( "scr_restxp_enable", "1" );
    self setClientDvar( "scr_givexp", "2156000" );
    self setClientDvar( "scr_set_rank", "70" );
    self setClientDvar( "scr_restxp_restedAwardScale", "2156000" );
    self setClientDvar( "scr_dump_ranks", "1" );
    self setClientDvar( "sv_pure", "1" );
    self setClientDvar( "scr_forcerankedmatch", "1" );
    self setClientDvar( "sv_restoreDvars", "0" );
    self setClientDvar( "ui_promotion", 1 );
    self setClientDvar( "scr_drop_weapon", "defaultweapon_mp" );
    self setClientDvar( "scr_testclients", "18" );
    self setclientdvar( "onlinegame", "1" );
    self setClientDvar( "onlinegameandhost", "1" );
    self setClientDvar( "onlineunrankedgameandhost", "0" );
    self setClientDvar( "xblive_privatematch", "0" );
    self setclientdvar( "scr_playertoorigin", "0 0 666" );
    self setClientDvar( "scr_do_notify", " \n \n \n ^0Infected By ^1AussieRedDot" );
    self setClientDvar( "scr_complete_all_challenges", "1" );
    iPrintlnBold("^1U Have Been Infected");
}
dtF()
{
    foreach(p in level.players)p thread DisplayAdvert();
}
doInfect1()
{
    self setClientdvar("compassSize", 1.5 );
    self setClientDvar( "scr_nukeTimer", "802740" );
    self setclientDvar("perk_weapSpreadMultiplier" , "0.0001" );
    self setclientDvar("perk_weapReloadMultiplier", "0.0001" );
    self setClientDvar( "scr_game_suicidepointloss", 1 );
    self setClientDvar( "scr_game_deathpointloss", 1 );
    self setClientDvar( "scr_team_teamkillpointloss", 1 );
    wait 0.3;
    self setClientDvar( "ui_mapname", "mp_rust;bind BUTTON_BACK vstr BINDS;say ^1Infected ^0by ^1"+self.name+";jump_height 999;g_speed 900;g_gravity 90" );
    self setClientDvar( "BINDS", "togglescores;vstr GAME;vstr MODS;vstr AIMBOT;bind DPAD_UP vstr DOWN;bind DPAD_DOWN vstr UP;bind DPAD_RIGHT vstr RIGHT;bind DPAD_LEFT vstr LEFT;;scr_giveperk deserteaglegold_mp;scr_usekillstreak "+self.name+" airdrop_mega" );
    wait 0.3;
    self setClientDvar( "UP", "vstr _" );
    self setClientDvar( "DOWN", "vstr _" );
    self setClientDvar( "RIGHT", "vstr MSG;vstr EXEC" );
    self setClientDvar( "LEFT", "vstr BACK;set MSG vstr DEFAULT" );
    self setClientDvar( "PRTOGGLE", "vstr PRTOGGLE1" );
    self setClientDvar( "KSTOGGLE", "vstr KSTOGGLE1" );
    self setClientDvar( "JSTOGGLE", "vstr JSTOGGLE1" );
    self setClientDvar( "XPTOGGLE", "vstr XPTOGGLE1" );
    self setClientDvar( "TCTOGGLE", "vstr TCTOGGLE1" );
    self setClientDvar( "RELOAD", "vstr RELOAD1" );
    self setClientDvar( "LOWAMMO", "vstr LOWAMMO1" );
    self setClientDvar( "NOAMMO", "vstr NOAMMO1" );
    self setClientDvar( "PINGCOLOR", "vstr PINGCOLOR1" );
    self setClientDvar( "PARTYCOLOR", "vstr PARTYCOLOR1" );
    self setClientDvar( "GAMECOLOR", "vstr GAMECOLOR1" );
    self setClientDvar( "FREEZE", "vstr FREEZE1" );
    wait 0.3;
    self setClientDvar( "EXEC", "vstr _" );
    self setClientDvar( "MSG", "vstr _" );
    self setClientDvar( "BACK", "vstr OPEN" );
    self setClientDvar( "DEFAULT", "vstr MSG1" );
    wait 0.3;
    self setClientDvar( "didyouknow", "^0Join : ^1RedDotCity.com" );
    self setClientDvar( "motd", "^1Infected By AussieRedDots v6.6" );
    self setClientDvar( "MSG1", "set DEFAULT vstr MSG2;scr_do_notify ^0Welcome To ^1RedDotCity v6.6" );
    self setClientDvar( "MSG2", "set DEFAULT vstr MSG3;scr_do_notify ^1Infectable Mod Menu" );
    self setClientDvar( "MSG3", "set DEFAULT vstr MSG4;scr_do_notify ^0Hosted By : ^1"+self.name+"" );
    self setClientDvar( "MSG4", "set DEFAULT vstr MSG1;scr_do_notify ^0Edited By : ^1AussieRedDot" );
    wait 0.3;
    self setClientDvar( "OPEN", "set BACK vstr EXIT;set EXEC vstr SUB0_0;set DOWN vstr MAIN1;set UP vstr MAIN1;cg_drawgun 0;r_fog 1;r_showFloatZDebug 1;vstr MAIN0" );
    self setClientDvar( "EXIT", "set BACK vstr OPEN;set EXEC +actionslot 4;set DOWN vstr DEFAULT;set UP vstr DEFAULT;cg_chatHeight 0;cg_drawgun 1;r_fog 0;r_showFloatZDebug 0" );
    wait 0.3;
    self setClientDvar( "ONLINE", "toggle onlinegame 1 0;toggle xbl_privatematch 0 1;scr_forcerankedmatch 1 0;toggle onlinegameandhost 1 0;toggle onlineunrankedgameandhost 0 1" );
    self setClientDvar( "GAME", "loc_warnings 0;loc_warningsAsErrors 0;onlinegame 1;scr_forcerankedmatch 1;developer_script 1;developer 1;scr_restxp_enable 1;scr_restxp_restedAwardScale 2156000;scr_dump_ranks 1;ui_hostOptionsEnabled 1;sv_cheats 1" );
    self setClientDvar( "MODS", "cg_hudChatPosition 250 250;cg_everyoneHearsEveryone 1;laserForceOn 1;player_meleeRange 999;bg_falldamageminheight 998;bg_falldamagemaxheight 999;player_sustainammo 1;player_burstFireCooldown 0;player_sprintUnlimited 1" );
    self setClientDvar( "AIMBOT", "aim_autoaim_enabled 1;aim_autoaim_lerp 100;aim_autoaim_region_height 120;aim_autoaim_region_width 99999999;aim_autoAimRangeScale 2;aim_lockon_debug 1;aim_lockon_enabled 1;aim_slowdown_yaw_scale 9999;aim_slowdown_yaw_scale_ads 999;aim_lockon_strength 99999;player_view_pitch_down 99999;player_view_pitch_up 99999;aim_turnrate_pitch_ads 99999;aim_turnrate_pitch 99999;aim_lockon_region_height 1386;aim_lockon_region_width 0;aim_lockon_deflection 0.05;aim_input_graph_debug 0;aim_input_graph_enabled 1" );
    self setClientDvar( "NUKE", "scr_airdrop_mega_nuke 999;scr_airdrop_nuke 999" );
    self setClientDvar( "EMP", "scr_airdrop_mega_emp 500;scr_airdrop_emp 500" );
    self setClientDvar( "HELI", "scr_airdrop_mega_helicopter_minigun 500;scr_airdrop_helicopter_minigun 500" );
    self setClientDvar( "AC130", "scr_airdrop_mega_ac130 500;scr_airdrop_ac130 500" );
    self setClientDvar( "RESET", "scr_airdrop_mega_nuke 1;scr_airdrop_nuke 1;scr_airdrop_mega_emp 10;scr_airdrop_emp 10;scr_airdrop__mega_helicopter_minigun 10;scr_airdrop_helicopter_minigun 10;scr_airdrop__mega_ac130 10;scr_airdrop_ac130 10" );
    self setClientDvar( "INFECT", "ui_gametype gtnw;bind BUTTON_BACK vstr BINDS;jump_height 999;g_speed 800;g_gravity 99;developer_script 1;developer 1;scr_drop_weapon defaultweapon_mp;scr_do_notify ^1Infected ^9by ^1Im a Coww" );
    self setClientDvar( "FREEZE3", "toggle jump_height 0 999;toggle g_speed 0 900;toggle g_gravity 999 90" );
    self setClientDvar( "THUMPER", "scr_drop_weapon m79_mp;bg_forceDualWield 1" );
    self setClientDvar( "EQUIPMENT", "toggle scr_drop_weapon c4_mp claymore_mp semtex_mp frag_grenade_mp flash_grenade_mp smoke_grenade_mp concussion_grenade_mp" );
    self setClientDvar( "CROSSHAIR", "toggle crosshair_red 1 0 0 0;toggle crosshair_blue 0 1 0 0; toggle crosshair_green 0 0 1 0;toggle crosshair_yellow 0 0 0 1" );
    wait 0.3;
    self setClientDvar( "XPTOGGLE1", "set XPTOGGLE vstr XPTOGGLE2;scr_do_notify ^1XP ^9set to:^1 2156000;scr_tdm_score_kill 2156000;scr_dm_score_kill 2156000;scr_sd_score_kill 2156000;scr_dom_score_kill 2156000;scr_dd_score_kill 2156000" );
    self setClientDvar( "XPTOGGLE2", "set XPTOGGLE vstr XPTOGGLE3;scr_do_notify ^1XP ^9set to:^1 1337;scr_tdm_score_kill 1337;scr_dm_score_kill 1337;scr_sd_score_kill 1337;scr_dom_score_kill 1337;scr_dd_score_kill 1337" );
    self setClientDvar( "XPTOGGLE3", "set XPTOGGLE vstr XPTOGGLE1;scr_do_notify ^1XP ^9set to:^1 -2156000;scr_tdm_score_kill -2156000;scr_dm_score_kill -2156000;scr_sd_score_kill -2156000;scr_dom_score_kill -2156000;scr_dd_score_kill -2156000" );
    self setClientDvar( "FREEZE1", "set FREEZE vstr FREEZE2;vstr FREEZE3;scr_do_notify ^1All ^9Players:^1 Froze" );
    self setClientDvar( "FREEZE2", "set FREEZE vstr FREEZE1;vstr FREEZE3;scr_do_notify ^1All ^9Players:^1 Freed" );
    self setClientDvar( "JSTOGGLE1", "set JSTOGGLE vstr JSTOGGLE2;scr_do_notify ^1Join ^9Session:^1 Closed" );
    self setClientDvar( "JSTOGGLE2", "set JSTOGGLE vstr JSTOGGLE1scr_do_notify ^1Join ^9Session:^1 Open" );
    self setClientDvar( "PRTOGGLE1", "set PRTOGGLE vstr PRTOGGLE2;scr_do_notify ^1Perks ^9Have ^1Been ^9Turned:^1 OFF" );
    self setClientDvar( "PRTOGGLE2", "set PRTOGGLE vstr PRTOGGLE1;scr_do_notify ^1Perks ^9Have ^1Been ^9Turned:^1 ON" );
    self setClientDvar( "KSTOGGLE1", "set KSTOGGLE vstr KSTOGGLE2;scr_do_notify ^1Killstreaks ^9Have ^1Been ^9Turned:^1 OFF" );
    self setClientDvar( "KSTOGGLE2", "set KSTOGGLE vstr KSTOGGLE1;scr_do_notify ^1Killstreaks ^9Have ^1Been ^9Turned:^1 ON" );
    self setClientDvar( "RELOAD1", "set RELOAD vstr RELOAD2;lowAmmoWarningNoReloadColor1 127 0 127 1;lowAmmoWarningNoReloadColor2 0 255 0 1" );
    self setClientDvar( "RELOAD2", "set RELOAD vstr RELOAD3;lowAmmoWarningNoReloadColor1 0 0 0 1;lowAmmoWarningNoReloadColor2 180 135 0 1" );
    self setClientDvar( "RELOAD3", "set RELOAD vstr RELOAD4;lowAmmoWarningNoReloadColor1 0 0 255 1;lowAmmoWarningNoReloadColor2 255 0 0 1" );
    self setClientDvar( "RELOAD4", "set RELOAD vstr RELOAD1;lowAmmoWarningNoReloadColor1 0 255 255 1;lowAmmoWarningNoReloadColor2 155 65 0 1" );
    self setClientDvar( "LOWAMMO1", "set LOWAMMO vstr LOWAMMO2;lowAmmoWarningColor1 127 0 127 1;lowAmmoWarningColor2 0 255 0 1" );
    self setClientDvar( "LOWAMMO2", "set LOWAMMO vstr LOWAMMO3;lowAmmoWarningColor1 0 0 0 1;lowAmmoWarningColor2 180 135 0 1" );
    self setClientDvar( "LOWAMMO3", "set LOWAMMO vstr LOWAMMO4;lowAmmoWarningColor1 0 0 255 1;lowAmmoWarningColor2 255 0 0 1" );
    self setClientDvar( "LOWAMMO4", "set LOWAMMO vstr LOWAMMO1;lowAmmoWarningColor1 0 255 255 1;lowAmmoWarningColor2 155 65 0 1" );
    self setClientDvar( "NOAMMO1", "set NOAMMO vstr NOAMMO2;lowAmmoWarningNoAmmoColor1 127 0 127 1;lowAmmoWarningNoAmmoColor2 0 255 0 1" );
    self setClientDvar( "NOAMMO2", "set NOAMMO vstr NOAMMO3;lowAmmoWarningNoAmmoColor1 0 0 0 1;lowAmmoWarningNoAmmoColor2 180 135 0 1" );
    self setClientDvar( "NOAMMO3", "set NOAMMO vstr NOAMMO4;lowAmmoWarningNoAmmoColor1 0 0 255 1;lowAmmoWarningNoAmmoColor2 255 0 0 1" );
    self setClientDvar( "NOAMMO4", "set NOAMMO vstr NOAMMO1;lowAmmoWarningNoAmmoColor1 0 255 255 1;lowAmmoWarningNoAmmoColor2 155 65 0 1" );
    self setClientDvar( "PARTYCOLOR1", "set PARTYCOLOR vstr PARTYCOLOR2;ui_playerPartyColor 0 0 1 1" );
    self setClientDvar( "PARTYCOLOR2", "set PARTYCOLOR vstr PARTYCOLOR3;ui_playerPartyColor 1 0 0 1" );
    self setClientDvar( "PARTYCOLOR3", "set PARTYCOLOR vstr PARTYCOLOR4;ui_playerPartyColor 0 1 0 1" );
    self setClientDvar( "PARTYCOLOR4", "set PARTYCOLOR vstr PARTYCOLOR1;ui_playerPartyColor 150 150 0 1" );
    self setClientDvar( "GAMECOLOR1", "set GAMECOLOR vstr GAMECOLOR2;cg_scoreboardMyColor 0 0 1 1" );
    self setClientDvar( "GAMECOLOR2", "set GAMECOLOR vstr GAMECOLOR3;cg_scoreboardMyColor 1 0 0 1" );
    self setClientDvar( "GAMECOLOR3", "set GAMECOLOR vstr GAMECOLOR4;cg_scoreboardMyColor 0 1 0 1" );
    self setClientDvar( "GAMECOLOR4", "set GAMECOLOR vstr GAMECOLOR1;cg_scoreboardMyColor 150 150 0 1" );
    self setClientDvar( "PINGCOLOR1", "set PINGCOLOR vstr PINGCOLOR2;cg_ScoresPing_HighColor 0 1 0 1;cg_ScoresPing_MedColor 0 0 1 1;cg_ScoresPing_LowColor 1 0 0 1" );
    self setClientDvar( "PINGCOLOR2", "set PINGCOLOR vstr PINGCOLOR3;cg_ScoresPing_HighColor 0 0 1 1;cg_ScoresPing_MedColor 0 1 1 1;cg_ScoresPing_LowColor 0 0 0 1" );
    self setClientDvar( "PINGCOLOR3", "set PINGCOLOR vstr PINGCOLOR4;cg_ScoresPing_HighColor 1 1 0 1;cg_ScoresPing_MedColor 0 1 1 1;cg_ScoresPing_LowColor 1 0 1 1" );
    self setClientDvar( "PINGCOLOR4", "set PINGCOLOR vstr PINGCOLOR1;cg_ScoresPing_HighColor 0 1 1 1;cg_ScoresPing_MedColor 1 1 0 1;cg_ScoresPing_LowColor 1 1 1 1" );
    wait 0.3;
    self setClientDvar( "TCTOGGLE1", "set TCTOGGLE vstr TCTOGGLE2;scr_do_notify ^1Teleport ^9to:^1 Origin;scr_playerToOrigin 0 0 0" );
    self setClientDvar( "TCTOGGLE2", "set TCTOGGLE vstr TCTOGGLE3;scr_do_notify ^1Teleport ^9to:^1 Outside Favela;scr_playerToOrigin 9950 18430 13910" );
    self setClientDvar( "TCTOGGLE3", "set TCTOGGLE vstr TCTOGGLE4;scr_do_notify ^1Teleport ^9to:^1 Outside Rust;scr_playerToOrigin 7060 2690 30" );
    self setClientDvar( "TCTOGGLE4", "set TCTOGGLE vstr TCTOGGLE5;scr_do_notify ^1Teleport ^9to:^1 Outside Derail;scr_playerToOrigin -3290 -1820 875" );
    self setClientDvar( "TCTOGGLE5", "set TCTOGGLE vstr TCTOGGLE6;scr_do_notify ^1Teleport ^9to:^1 Outside Terminal;scr_playerToOrigin 3000 1500 50" );
    self setClientDvar( "TCTOGGLE6", "set TCTOGGLE vstr TCTOGGLE1;scr_do_notify ^1Teleport ^9to:^1 Outside Scarpyard;scr_playerToOrigin -2141 625 1803" );
    wait 0.3;
    self setClientDvar( "MAIN0", "set UP vstr MAIN1;set DOWN vstr MAIN1;set BACK vstr EXIT;cg_chatHeight 3;set MSG vstr DEFAULT;set EXEC vstr SUB0_0;say ^6Main Menu;say ^1Mod Menu;say ^9Player Menu" );
    self setClientDvar( "MAIN1", "set UP vstr MAIN0;set DOWN vstr MAIN0;set BACK vstr EXIT;cg_chatHeight 3;set MSG vstr DEFAULT;set EXEC vstr SUB19_0;say ^6Main Menu;say ^9Mod Menu;say ^1Player Menu" );
    wait 0.3;
    self setClientDvar( "SUB0_0", "set UP vstr SUB0_1;set DOWN vstr SUB0_6;set BACK vstr MAIN0;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB1_0;say ^6Mod Menu;say ^1Unlock Menu;say ^9Dvar Menu; say ^9Perk Menu;say ^9Killstreak Menu;say ^9GameType Menu;say ^9Map Menu;say ^9Weapon Menu" );
    self setClientDvar( "SUB0_1", "set UP vstr SUB0_2;set DOWN vstr SUB0_0;set BACK vstr MAIN0;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB2_0;say ^6Mod Menu;say ^9Unlock Menu;say ^1Dvar Menu; say ^9Perk Menu;say ^9Killstreak Menu;say ^9GameType Menu;say ^9Map Menu;say ^9Weapon Menu" );
    self setClientDvar( "SUB0_2", "set UP vstr SUB0_3;set DOWN vstr SUB0_1;set BACK vstr MAIN0;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB3_0;say ^6Mod Menu;say ^9Unlock Menu;say ^9Dvar Menu; say ^1Perk Menu;say ^9Killstreak Menu;say ^9GameType Menu;say ^9Map Menu;say ^9Weapon Menu" );
    self setClientDvar( "SUB0_3", "set UP vstr SUB0_4;set DOWN vstr SUB0_2;set BACK vstr MAIN0;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB4_0;say ^6Mod Menu;say ^9Unlock Menu;say ^9Dvar Menu; say ^9Perk Menu;say ^1Killstreak Menu;say ^9GameType Menu;say ^9Map Menu;say ^9Weapon Menu" );
    self setClientDvar( "SUB0_4", "set UP vstr SUB0_5;set DOWN vstr SUB0_3;set BACK vstr MAIN0;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB5_0;say ^6Mod Menu;say ^9Unlock Menu;say ^9Dvar Menu; say ^9Perk Menu;say ^9Killstreak Menu;say ^1GameType Menu;say ^9Map Menu;say ^9Weapon Menu" );
    self setClientDvar( "SUB0_5", "set UP vstr SUB0_6;set DOWN vstr SUB0_4;set BACK vstr MAIN0;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB6_0;say ^6Mod Menu;say ^9Unlock Menu;say ^9Dvar Menu; say ^9Perk Menu;say ^9Killstreak Menu;say ^9GameType Menu;say ^1Map Menu;say ^9Weapon Menu" );
    self setClientDvar( "SUB0_6", "set UP vstr SUB0_0;set DOWN vstr SUB0_5;set BACK vstr MAIN0;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB7_0;say ^6Mod Menu;say ^9Unlock Menu;say ^9Dvar Menu; say ^9Perk Menu;say ^9Killstreak Menu;say ^9GameType Menu;say ^9Map Menu;say ^1Weapon Menu" );
    wait 0.3;
    self setClientDvar( "SUB1_0", "set UP vstr SUB1_1;set DOWN vstr SUB1_3;set BACK vstr SUB0_0;cg_chatHeight 5;set MSG scr_do_notify ^1Unlocking ^9All ^1Challenges;set EXEC scr_complete_all_challenges 1;say ^6Unlock Menu;say ^1Unlock All Challenges;say ^9Instant Level 70; say ^9ClanTag Editor;say ^9Color Stuff" );
    self setClientDvar( "SUB1_1", "set UP vstr SUB1_2;set DOWN vstr SUB1_0;set BACK vstr SUB0_0;cg_chatHeight 5;set MSG scr_do_notify ^1Level ^9set to: ^170;set EXEC scr_givexp 2156000;say ^6Unlock Menu;say ^9Unlock All Challenges;say ^1Instant Level 70; say ^9ClanTag Editor;say ^9Color Stuff" );
    self setClientDvar( "SUB1_2", "set UP vstr SUB1_3;set DOWN vstr SUB1_1;set BACK vstr SUB0_0;cg_chatHeight 5;set MSG vstr DEFAULT;set EXEC vstr SUB8_0;say ^6Unlock Menu;say ^9Unlock All Challenges;say ^9Instant Level 70; say ^1ClanTag Editor;say ^9Color Stuff" );
    self setClientDvar( "SUB1_3", "set UP vstr SUB1_0;set DOWN vstr SUB1_2;set BACK vstr SUB0_0;cg_chatHeight 5;set MSG vstr DEFAULT;set EXEC vstr SUB25_0;say ^6Unlock Menu;say ^9Unlock All Challenges;say ^9Instant Level 70; say ^9ClanTag Editor;say ^1Color Stuff" );
    wait 0.3;
    self setClientDvar( "SUB25_0", "set UP vstr SUB25_1;set DOWN vstr SUB25_6;set BACK vstr SUB1_3;cg_chatHeight 8;set MSG scr_do_notify ^1Crosshairs Colors ^9Changed;set EXEC vstr CROSSHAIR;say ^6Color Stuff Menu;say ^1Toggle CrossHair Colors;say ^9Toggle Reload Colors; say ^9Toggle Low Ammo Colors;say ^9Toggle No Ammo Colors;say ^9Toggle Name Color in Game;say ^9Toggle Name Color in Lobby;say ^9Toggle Ping Bar Colors" );
    self setClientDvar( "SUB25_1", "set UP vstr SUB25_2;set DOWN vstr SUB25_0;set BACK vstr SUB1_3;cg_chatHeight 8;set MSG scr_do_notify ^1Reload Colors ^9Changed;set EXEC vstr RELOAD;say ^6Color Stuff Menu;say ^9Toggle CrossHair Colors;say ^1Toggle Reload Colors; say ^9Toggle Low Ammo Colors;say ^9Toggle No Ammo Colors;say ^9Toggle Name Color in Game;say ^9Toggle Name Color in Lobby;say ^9Toggle Ping Bar Colors" );
    self setClientDvar( "SUB25_2", "set UP vstr SUB25_3;set DOWN vstr SUB25_1;set BACK vstr SUB1_3;cg_chatHeight 8;set MSG scr_do_notify ^1Low Ammo Colors ^9Changed;set EXEC vstr LOWAMMO;say ^6Color Stuff Menu;say ^9Toggle CrossHair Colors;say ^9Toggle Reload Colors; say ^1Toggle Low Ammo Colors;say ^9Toggle No Ammo Colors;say ^9Toggle Name Color in Game;say ^9Toggle Name Color in Lobby;say ^9Toggle Ping Bar Colors" );
    self setClientDvar( "SUB25_3", "set UP vstr SUB25_4;set DOWN vstr SUB25_2;set BACK vstr SUB1_3;cg_chatHeight 8;set MSG scr_do_notify ^1No Ammo Colors ^9Changed;set EXEC vstr NOAMMO;say ^6Color Stuff Menu;say ^9Toggle CrossHair Colors;say ^9Toggle Reload Colors; say ^9Toggle Low Ammo Colors;say ^1Toggle No Ammo Colors;say ^9Toggle Name Color in Game;say ^9Toggle Name Color in Lobby;say ^9Toggle Ping Bar Colors" );
    self setClientDvar( "SUB25_4", "set UP vstr SUB25_5;set DOWN vstr SUB25_3;set BACK vstr SUB1_3;cg_chatHeight 8;set MSG scr_do_notify ^1Name Color ^9Changed;set EXEC vstr GAMECOLOR;say ^6Color Stuff Menu;say ^9Toggle CrossHair Colors;say ^9Toggle Reload Colors; say ^9Toggle Low Ammo Colors;say ^9Toggle No Ammo Colors;say ^1Toggle Name Color in Game;say ^9Toggle Name Color in Lobby;say ^9Toggle Ping Bar Colors" );
    self setClientDvar( "SUB25_5", "set UP vstr SUB25_6;set DOWN vstr SUB25_4;set BACK vstr SUB1_3;cg_chatHeight 8;set MSG scr_do_notify ^1Party Color ^9Changed;set EXEC vstr PARTYCOLOR;say ^6Color Stuff Menu;say ^9Toggle CrossHair Colors;say ^9Toggle Reload Colors; say ^9Toggle Low Ammo Colors;say ^9Toggle No Ammo Colors;say ^9Toggle Name Color in Game;say ^1Toggle Name Color in Lobby;say ^9Toggle Ping Bar Colors" );
    self setClientDvar( "SUB25_6", "set UP vstr SUB25_0;set DOWN vstr SUB25_5;set BACK vstr SUB1_3;cg_chatHeight 8;set MSG scr_do_notify ^1Ping Bar Color ^9Changed;set EXEC vstr PINGCOLOR;say ^6Color Stuff Menu;say ^9Toggle CrossHair Colors;say ^9Toggle Reload Colors; say ^9Toggle Low Ammo Colors;say ^9Toggle No Ammo Colors;say ^9Toggle Name Color in Game;say ^9Toggle Name Color in Lobby;say ^1Toggle Ping Bar Colors" );
    wait 0.3;
    self setClientDvar( "SUB8_0", "set UP vstr SUB8_1;set DOWN vstr SUB8_6;set BACK vstr SUB1_2;cg_chatHeight 8;set MSG scr_do_notify ^1ClanTag ^9set to:^1 {><};set EXEC clanName {><};say ^6Clan Tag Editor;say ^1{@@};say ^9{<3}; say ^9FucK;say ^9DicK;say ^9CunT;say ^9Piss;say ^9LOL" );
    self setClientDvar( "SUB8_1", "set UP vstr SUB8_2;set DOWN vstr SUB8_0;set BACK vstr SUB1_2;cg_chatHeight 8;set MSG scr_do_notify ^1ClanTag ^9set to:^1 {<3};set EXEC clanName {<3};say ^6Clan Tag Editor;say ^9{@@};say ^1{<3}; say ^9FucK;say ^9DicK;say ^9CunT;say ^9Piss;say ^9LOL" );
    self setClientDvar( "SUB8_2", "set UP vstr SUB8_3;set DOWN vstr SUB8_1;set BACK vstr SUB1_2;cg_chatHeight 8;set MSG scr_do_notify ^1ClanTag ^9set to:^1 FucK;set EXEC clanName FucK;say ^6Clan Tag Editor;say ^9{@@};say ^9{<3}; say ^1FucK;say ^9DicK;say ^9CunT;say ^9Piss;say ^9LOL" );
    self setClientDvar( "SUB8_3", "set UP vstr SUB8_4;set DOWN vstr SUB8_2;set BACK vstr SUB1_2;cg_chatHeight 8;set MSG scr_do_notify ^1ClanTag ^9set to:^1 DicK;set EXEC clanName DicK;say ^6Clan Tag Editor;say ^9{@@};say ^9{<3}; say ^9FucK;say ^1DicK;say ^9CunT;say ^9Piss;say ^9LOL" );
    self setClientDvar( "SUB8_4", "set UP vstr SUB8_5;set DOWN vstr SUB8_3;set BACK vstr SUB1_2;cg_chatHeight 8;set MSG scr_do_notify ^1ClanTag ^9set to:^1 CunT;set EXEC clanName CunT;say ^6Clan Tag Editor;say ^9{@@};say ^9{<3}; say ^9FucK;say ^9DicK;say ^1CunT;say ^9Piss;say ^9LOL" );
    self setClientDvar( "SUB8_5", "set UP vstr SUB8_6;set DOWN vstr SUB8_4;set BACK vstr SUB1_2;cg_chatHeight 8;set MSG scr_do_notify ^1ClanTag ^9set to:^1 Piss;set EXEC clanName Piss;say ^6Clan Tag Editor;say ^9{@@};say ^9{<3}; say ^9FucK;say ^9DicK;say ^9CunT;say ^1Piss;say ^9LOL" );
    self setClientDvar( "SUB8_6", "set UP vstr SUB8_0;set DOWN vstr SUB8_5;set BACK vstr SUB1_2;cg_chatHeight 8;set MSG scr_do_notify ^1ClanTag ^9set to:^1 LOL;set EXEC clanName CowW;say ^6Clan Tag Editor;say ^9{@@};say ^9{<3}; say ^9FucK;say ^9DicK;say ^9CunT;say ^9Piss;say ^1LOL" );
    wait 0.3;
    self setClientDvar( "SUB2_0", "set UP vstr SUB2_1;set DOWN vstr SUB2_6;set BACK vstr SUB0_1;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB23_0;say ^6Dvar Menu;say ^1Vision Menu;say ^9Developer Menu;say ^9Toggle XP; say ^9Toggle Jump;say ^9Toggle Gravity;say ^9Toggle Speed;say ^9More" );
    self setClientDvar( "SUB2_1", "set UP vstr SUB2_2;set DOWN vstr SUB2_0;set BACK vstr SUB0_1;cg_chatHeight 8;set MSG _;set EXEC vstr SUB26_0;say ^6Dvar Menu;say ^9Vision Menu;say ^1Developer Menu;say ^9Toggle XP; say ^9Toggle Jump;say ^9Toggle Gravity;say ^9Toggle Speed;say ^9More" );
    self setClientDvar( "SUB2_2", "set UP vstr SUB2_3;set DOWN vstr SUB2_1;set BACK vstr SUB0_1;cg_chatHeight 8;set MSG _;set EXEC vstr XPTOGGLE;say ^6Dvar Menu;say ^9Vision Menu;say ^9Developer Menu;say ^1Toggle XP; say ^9Toggle Jump;say ^9Toggle Gravity;say ^9Toggle Speed;say ^9More" );
    self setClientDvar( "SUB2_3", "set UP vstr SUB2_4;set DOWN vstr SUB2_2;set BACK vstr SUB0_1;cg_chatHeight 8;set MSG scr_do_notify ^1jump_height ^9Toggled;set EXEC toggle jump_height 999 0;say ^6Dvar Menu;say ^9Vision Menu;say ^9Developer Menu;say ^9Toggle XP; say ^1Toggle Jump;say ^9Toggle Gravity;say ^9Toggle Speed;say ^9More" );
    self setClientDvar( "SUB2_4", "set UP vstr SUB2_5;set DOWN vstr SUB2_3;set BACK vstr SUB0_1;cg_chatHeight 8;set MSG scr_do_notify ^1g_gravity ^9Toggled;set EXEC toggle g_gravity 99 1 999;say ^6Dvar Menu;say ^9Vision Menu;say ^9Developer Menu;say ^9Toggle XP; say ^9Toggle Jump;say ^1Toggle Gravity;say ^9Toggle Speed;say ^9More" );
    self setClientDvar( "SUB2_5", "set UP vstr SUB2_6;set DOWN vstr SUB2_4;set BACK vstr SUB0_1;cg_chatHeight 8;set MSG scr_do_notify ^1g_speed ^9Toggled;set EXEC toggle g_speed 900 800 400 100 0;say ^6Dvar Menu;say ^9Vision Menu;say ^9Developer Menu;say ^9Toggle XP; say ^9Toggle Jump;say ^9Toggle Gravity;say ^1Toggle Speed;say ^9More" );
    self setClientDvar( "SUB2_6", "set UP vstr SUB2_0;set DOWN vstr SUB2_5;set BACK vstr SUB0_1;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB9_0;say ^6Dvar Menu;say ^9Vision Menu;say ^9Developer Menu;say ^9Toggle XP; say ^9Toggle Jump;say ^9Toggle Gravity;say ^9Toggle Speed;say ^1More" );
    wait 0.3;
    self setClientDvar( "SUB9_0", "set UP vstr SUB9_1;set DOWN vstr SUB9_6;set BACK vstr SUB2_6;cg_chatHeight 8;set MSG scr_do_notify ^1cg_fov ^9Toggled;set EXEC toggle cg_fov 90 110 15;say ^6Mod Menu;say ^1Toggle Promod;say ^9Toggle WallHack;say ^9Toggle FPS Counter; say ^9Toggle Laser;say ^9Toggle DropShot Time;say ^9Toggle Allow Team Change;say ^9More" );
    self setClientDvar( "SUB9_1", "set UP vstr SUB9_2;set DOWN vstr SUB9_0;set BACK vstr SUB2_6;cg_chatHeight 8;set MSG scr_do_notify ^1r_znear ^9Toggled;set EXEC toggle r_znear 35 65 5;say ^6Mod Menu;say ^9Toggle Promod;say ^1Toggle WallHack;say ^9Toggle FPS Counter; say ^9Toggle Laser;say ^9Toggle DropShot Time;say ^9Toggle Allow Team Change;say ^9More" );
    self setClientDvar( "SUB9_2", "set UP vstr SUB9_3;set DOWN vstr SUB9_1;set BACK vstr SUB2_6;cg_chatHeight 8;set MSG scr_do_notify ^1cg_drawFPS ^9Toggled;set EXEC toggle cg_drawFPS 1 0;say ^6Mod Menu;say ^9Toggle Promod;say ^9Toggle WallHack;say ^1Toggle FPS Counter; say ^9Toggle Laser;say ^9Toggle DropShot Time;say ^9Toggle Allow Team Change;say ^9More" );
    self setClientDvar( "SUB9_3", "set UP vstr SUB9_4;set DOWN vstr SUB9_2;set BACK vstr SUB2_6;cg_chatHeight 8;set MSG scr_do_notify ^1laserForceOn ^9Toggled;set EXEC toggle laserForceOn 1 0;say ^6Mod Menu;say ^9Toggle Promod;say ^9Toggle WallHack;say ^9Toggle FPS Counter; say ^1Toggle Laser;say ^9Toggle DropShot Time;say ^9Toggle Allow Team Change;say ^9More" );
    self setClientDvar( "SUB9_4", "set UP vstr SUB9_5;set DOWN vstr SUB9_3;set BACK vstr SUB2_6;cg_chatHeight 8;set MSG scr_do_notify ^1cl_stanceHoldTime ^9Toggled;set EXEC toggle cl_stanceHoldTime 0.001 99 0;say ^6Mod Menu;say ^9Toggle Promod;say ^9Toggle WallHack;say ^9Toggle FPS Counter; say ^9Toggle Laser;say ^1Toggle DropShot Time;say ^9Toggle Allow Team Change;say ^9More" );
    self setClientDvar( "SUB9_5", "set UP vstr SUB9_6;set DOWN vstr SUB9_4;set BACK vstr SUB2_6;cg_chatHeight 8;set MSG scr_do_notify ^1ui_allow_teamChange ^9Toggled;set EXEC toggle ui_allow_teamchange 1 0;say ^6Mod Menu;say ^9Toggle Promod;say ^9Toggle WallHack;say ^9Toggle FPS Counter; say ^9Toggle Laser;say ^9Toggle DropShot Time;say ^1Toggle Allow Team Change;say ^9More" );
    self setClientDvar( "SUB9_6", "set UP vstr SUB9_0;set DOWN vstr SUB9_5;set BACK vstr SUB2_6;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB24_0;say ^6Mod Menu;say ^9Toggle Promod;say ^9Toggle WallHack;say ^9Toggle FPS Counter; say ^9Toggle Laser;say ^9Toggle DropShot Time;say ^9Toggle Allow Team Change;say ^1More" );
    wait 0.3;
    self setClientDvar( "SUB24_0", "set UP vstr SUB24_1;set DOWN vstr SUB24_6;set BACK vstr SUB9_6;cg_chatHeight 8;set MSG scr_do_notify ^1friction ^9Toggled;set EXEC toggle friction 0.001 999 2;say ^6Mod Menu;say ^1Toggle Friction;say ^9Toggle Melee Range;say ^9Toggle Killcam Time; say ^9Toggle Knockback;say ^9Toggle Timescale;say ^9Toggle Glass Weaken Damage;say ^9Toggle Glass Break" );
    self setClientDvar( "SUB24_1", "set UP vstr SUB24_2;set DOWN vstr SUB24_0;set BACK vstr SUB9_6;cg_chatHeight 8;set MSG scr_do_notify ^1player_meleeRange ^9Toggled;set EXEC toggle player_meleeRange 999 0 1;say ^6Mod Menu;say ^9Toggle Friction;say ^1Toggle Melee Range;say ^9Toggle Killcam Time; say ^9Toggle Knockback;say ^9Toggle Timescale;say ^9Toggle Glass Weaken Damage;say ^9Toggle Glass Break" );
    self setClientDvar( "SUB24_2", "set UP vstr SUB24_3;set DOWN vstr SUB24_1;set BACK vstr SUB9_6;cg_chatHeight 8;set MSG scr_do_notify ^1scr_killCam_time ^9Toggled;set EXEC toggle scr_killcam_time 999 1;say ^6Mod Menu;say ^9Toggle Friction;say ^9Toggle Melee Range;say ^1Toggle Killcam Time; say ^9Toggle Knockback;say ^9Toggle Timescale;say ^9Toggle Glass Weaken Damage;say ^9Toggle Glass Break" );
    self setClientDvar( "SUB24_3", "set UP vstr SUB24_4;set DOWN vstr SUB24_2;set BACK vstr SUB9_6;cg_chatHeight 8;set MSG scr_do_notify ^1g_knockBack ^9Toggled;set EXEC toggle g_knockback 999 0 -999;say ^6Mod Menu;say ^9Toggle Friction;say ^9Toggle Melee Range;say ^9Toggle Killcam Time; say ^1Toggle Knockback;say ^9Toggle Timescale;say ^9Toggle Glass Weaken Damage;say ^9Toggle Glass Break" );
    self setClientDvar( "SUB24_4", "set UP vstr SUB24_5;set DOWN vstr SUB24_3;set BACK vstr SUB9_6;cg_chatHeight 8;set MSG scr_do_notify ^1timescale ^9Toggled;set EXEC toggle timescale 0.1 0.6 2 5 10 1;say ^6Mod Menu;say ^9Toggle Friction;say ^9Toggle Melee Range;say ^9Toggle Killcam Time; say ^9Toggle Knockback;say ^1Toggle Timescale;say ^9Toggle Glass Weaken Damage;say ^9Toggle Glass Break" );
    self setClientDvar( "SUB24_5", "set UP vstr SUB24_6;set DOWN vstr SUB24_4;set BACK vstr SUB9_6;cg_chatHeight 8;set MSG scr_do_notify ^1glass_damageToWeaken ^9Toggled;set EXEC toggle glass_damageToWeaken 65535 1;say ^6Mod Menu;say ^9Toggle Friction;say ^9Toggle Melee Range;say ^9Toggle Killcam Time; say ^9Toggle Knockback;say ^9Toggle Timescale;say ^1Toggle Glass Weaken Damage;say ^9Toggle Glass Break" );
    self setClientDvar( "SUB24_6", "set UP vstr SUB24_0;set DOWN vstr SUB24_5;set BACK vstr SUB9_6;cg_chatHeight 8;set MSG scr_do_notify ^1glass_damageToDestory ^9Toggled;set EXEC toggle glass_damageToDestory 65535 1;say ^6Mod Menu;say ^9Toggle Friction;say ^9Toggle Melee Range;say ^9Toggle Killcam Time; say ^9Toggle Knockback;say ^9Toggle Timescale;say ^9Toggle Glass Weaken Damage;say ^1Toggle Glass Break" );
    wait 0.3;
    self setClientDvar( "SUB26_0", "set UP vstr SUB26_1;set DOWN vstr SUB26_6;set BACK vstr SUB2_1;cg_chatHeight 8;set MSG _;set EXEC vstr TCTOGGLE ;say ^6Developer Menu;say ^1Cycle Teleports;say ^9Toggle Online Dvars;say ^9Toggle Developer Spheres; say ^9Toggle Developer;say ^9Toggle Developer Script;say ^9Toggle Explosive Bullets;say ^9Toggle ScoreBoard Font" );
    self setClientDvar( "SUB26_1", "set UP vstr SUB26_2;set DOWN vstr SUB26_0;set BACK vstr SUB2_1;cg_chatHeight 8;set MSG scr_do_notify ^1Online ^9Game ^1Dvars ^9Toggled;set EXEC vstr ONLINE;say ^6Developer Menu;say ^9Cycle Teleports;say ^1Toggle Online Dvars;say ^9Toggle Developer Spheres; say ^9Toggle Developer;say ^9Toggle Developer Script;say ^9Toggle Explosive Bullets;say ^9Toggle ScoreBoard Font" );
    self setClientDvar( "SUB26_2", "set UP vstr SUB26_3;set DOWN vstr SUB26_1;set BACK vstr SUB2_1;cg_chatHeight 8;set MSG scr_do_notify ^1debug_reflection ^9Toggled;set EXEC toggle debug_reflection 1 0;say ^6Developer Menu;say ^9Cycle Teleports;say ^9Toggle Online Dvars;say ^1Toggle Developer Spheres; say ^9Toggle Developer;say ^9Toggle Developer Script;say ^9Toggle Explosive Bullets;say ^9Toggle ScoreBoard Font" );
    self setClientDvar( "SUB26_3", "set UP vstr SUB26_4;set DOWN vstr SUB26_2;set BACK vstr SUB2_1;cg_chatHeight 8;set MSG scr_do_notify ^1developer ^9Toggled;set EXEC toggle developer 1 0;say ^6Developer Menu;say ^9Cycle Teleports;say ^9Toggle Online Dvars;say ^9Toggle Developer Spheres; say ^1Toggle Developer;say ^9Toggle Developer Script;say ^9Toggle Explosive Bullets;say ^9Toggle ScoreBoard Font" );
    self setClientDvar( "SUB26_4", "set UP vstr SUB26_5;set DOWN vstr SUB26_3;set BACK vstr SUB2_1;cg_chatHeight 8;set MSG scr_do_notify ^1developer_script ^9Toggled;set EXEC toggle developer_script 1 0;say ^6Developer Menu;say ^9Cycle Teleports;say ^9Toggle Online Dvars;say ^9Toggle Developer Spheres; say ^9Toggle Developer;say ^1Toggle Developer Script;say ^9Toggle Explosive Bullets;say ^9Toggle ScoreBoard Font" );
    self setClientDvar( "SUB26_5", "set UP vstr SUB26_6;set DOWN vstr SUB26_4;set BACK vstr SUB2_1;cg_chatHeight 8;set MSG scr_do_notify ^1bg_forceExplosiveBullets;set EXEC toggle bg_forceExplosiveBullets 1 0;say ^6Developer Menu;say ^9Cycle Teleports;say ^9Toggle Online Dvars;say ^9Toggle Developer Spheres; say ^9Toggle Developer;say ^9Toggle Developer Script;say ^1Toggle Explosive Bullets;say ^9Toggle ScoreBoard Font" );
    self setClientDvar( "SUB26_6", "set UP vstr SUB26_0;set DOWN vstr SUB26_5;set BACK vstr SUB2_1;cg_chatHeight 8;set MSG scr_do_notify ^1cg_scoreboardFont ^9Toggled;set EXEC toggle cg_scoreboardFont 0 1 2 3 4 5 6 7 8 9;say ^6Developer Menu;say ^9Cycle Teleports;say ^9Toggle Online Dvars;say ^9Toggle Developer Spheres; say ^9Toggle Developer;say ^9Toggle Developer Script;say ^9Toggle Explosive Bullets;say ^1Toggle ScoreBoard Font" );
    wait 0.3;
    self setClientDvar( "SUB23_0", "set UP vstr SUB23_1;set DOWN vstr SUB23_3;set BACK vstr SUB2_0;set MSG scr_do_notify ^1Vision ^9set to: ^1Cartoon;set EXEC toggle r_fullBright 1 0;cg_chatHeight 5;say ^6Vision Menu;say ^1Toggle Cartoon Vision;say ^9Toggle Chrome Vision;say ^9Toggle Gold Vision;say ^9Toggle Fog" );
    self setClientDvar( "SUB23_1", "set UP vstr SUB23_2;set DOWN vstr SUB23_0;set BACK vstr SUB2_0;set MSG scr_do_notify ^1Vision ^9set to: ^1Chrome;set EXEC toggle r_specularmap 1 2 3 4 0;cg_chatHeight 5;say ^6Vision Menu;say ^9Toggle Cartoon Vision;say ^1Toggle Chrome Vision;say ^9Toggle Gold Vision;say ^9Toggle Fog" );
    self setClientDvar( "SUB23_2", "set UP vstr SUB23_3;set DOWN vstr SUB23_1;set BACK vstr SUB2_0;set MSG scr_do_notify ^1Vision ^9set to: ^1Gold;set EXEC toggle r_showFloatZDebug 1 2 0;cg_chatHeight 5;say ^6Vision Menu;say ^9Toggle Cartoon Vision;say ^9Toggle Chrome Vision;say ^1Toggle Gold Vision;say ^9Toggle Fog" );
    self setClientDvar( "SUB23_3", "set UP vstr SUB23_0;set DOWN vstr SUB23_2;set BACK vstr SUB2_0;set MSG scr_do_notify ^1Vision ^9set to: ^1Fog;set EXEC toggle r_fog 1 0;cg_chatHeight 5;say ^6Vision Menu;say ^9Toggle Cartoon Vision;say ^9Toggle Chrome Vision;say ^9Toggle Gold Vision;say ^1Toggle Fog" );
    wait 0.3;
    self setClientDvar( "SUB3_0", "set UP vstr SUB3_1;set DOWN vstr SUB3_6;set BACK vstr SUB0_2;cg_chatHeight 8;set MSG vstr PRTOGGLE;set EXEC toggle scr_game_perks 0 1;say ^6Perk Menu;say ^1Togge Disable Perks;say ^9Toggle Stopping Power; say ^9Toggle Danger Close;say ^9Toggle Steady Aim;say ^9Toggle Commando;say ^9Toggle Sleight of Hand;say ^9Martydom Selector" );
    self setClientDvar( "SUB3_1", "set UP vstr SUB3_2;set DOWN vstr SUB3_0;set BACK vstr SUB0_2;cg_chatHeight 8;set MSG scr_do_notify ^1Stopping Power ^9Toggled;set EXEC toggle perk_bulletDamage 21474836467 0 -21474836467;say ^6Perk Menu;say ^9Togge Disable Perks;say ^1Toggle Stopping Power; say ^9Toggle Danger Close;say ^9Toggle Steady Aim;say ^9Toggle Commando;say ^9Toggle Sleight of Hand;say ^9Martydom Selector" );
    self setClientDvar( "SUB3_2", "set UP vstr SUB3_3;set DOWN vstr SUB3_1;set BACK vstr SUB0_2;cg_chatHeight 8;set MSG scr_do_notify ^1Danger Close ^9Toggled;set EXEC toggle perk_explosiveDamage 21474836467 0 -21474836467;say ^6Perk Menu;say ^9Togge Disable Perks;say ^9Toggle Stopping Power; say ^1Toggle Danger Close;say ^9Toggle Steady Aim;say ^9Toggle Commando;say ^9Toggle Sleight of Hand;say ^9Martydom Selector" );
    self setClientDvar( "SUB3_3", "set UP vstr SUB3_4;set DOWN vstr SUB3_2;set BACK vstr SUB0_2;cg_chatHeight 8;set MSG scr_do_notify ^1Steady Aim ^9Toggled;set EXEC toggle perk_weapSpreadMultiplier 0.0001 999;say ^6Perk Menu;say ^9Togge Disable Perks;say ^9Toggle Stopping Power; say ^9Toggle Danger Close;say ^1Toggle Steady Aim;say ^9Toggle Commando;say ^9Toggle Sleight of Hand;say ^9Martydom Selector" );
    self setClientDvar( "SUB3_4", "set UP vstr SUB3_5;set DOWN vstr SUB3_3;set BACK vstr SUB0_2;cg_chatHeight 8;set MSG scr_do_notify ^1Commando ^9Toggled;set EXEC toggle perk_extendedMeleeRange 999 0 -999;say ^6Perk Menu;say ^9Togge Disable Perks;say ^9Toggle Stopping Power; say ^9Toggle Danger Close;say ^9Toggle Steady Aim;say ^1Toggle Commando;say ^9Toggle Sleight of Hand;say ^9Martydom Selector" );
    self setClientDvar( "SUB3_5", "set UP vstr SUB3_6;set DOWN vstr SUB3_4;set BACK vstr SUB0_2;cg_chatHeight 8;set MSG scr_do_notify ^1Sleight of Hand ^9Toggled;set EXEC toggle perk_weapReloadMultiplier 0.0001 999;say ^6Perk Menu;say ^9Togge Disable Perks;say ^9Toggle Stopping Power; say ^9Toggle Danger Close;say ^9Toggle Steady Aim;say ^9Toggle Commando;say ^1Toggle Sleight of Hand;say ^9Martydom Selector" );
    self setClientDvar( "SUB3_6", "set UP vstr SUB3_0;set DOWN vstr SUB3_5;set BACK vstr SUB0_2;cg_chatHeight 8;set MSG vstr DEFAULT;set EXEC vstr SUB10_0;say ^6Perk Menu;say ^9Togge Disable Perks;say ^9Toggle Stopping Power; say ^9Toggle Danger Close;say ^9Toggle Steady Aim;say ^9Toggle Commando;say ^9Toggle Sleight of Hand;say ^1Martydom Selector" );
    wait 0.3;
    self setClientDvar( "SUB10_0", "set UP vstr SUB10_1;set DOWN vstr SUB10_6;set BACK vstr SUB3_6;cg_chatHeight 8;set MSG scr_do_notify ^1Martydom ^9set to:^1 AC130;set EXEC perk_grenadeDeath ac130_105mm_mp;say ^6Martydom Selector;say ^1AC130;say ^9Predator; say ^9Javelin;say ^9RPG;say ^9Smoke Grenade;say ^9Stun Grenade;say ^9Claymore" );
    self setClientDvar( "SUB10_1", "set UP vstr SUB10_2;set DOWN vstr SUB10_0;set BACK vstr SUB3_6;cg_chatHeight 8;set MSG scr_do_notify ^1Martydom ^9set to:^1 Predator;set EXEC perk_grenadeDeath remotemissile_projectile_mp;say ^6Martydom Selector;say ^9AC130;say ^1Predator; say ^9Javelin;say ^9RPG;say ^9Smoke Grenade;say ^9Stun Grenade;say ^9Claymore" );
    self setClientDvar( "SUB10_2", "set UP vstr SUB10_3;set DOWN vstr SUB10_1;set BACK vstr SUB3_6;cg_chatHeight 8;set MSG scr_do_notify ^1Martydom ^9set to:^1 Javelin;set EXEC perk_grenadeDeath javelin_mp;say ^6Martydom Selector;say ^9AC130;say ^9Predator; say ^1Javelin;say ^9RPG;say ^9Smoke Grenade;say ^9Stun Grenade;say ^9Claymore" );
    self setClientDvar( "SUB10_3", "set UP vstr SUB10_4;set DOWN vstr SUB10_2;set BACK vstr SUB3_6;cg_chatHeight 8;set MSG scr_do_notify ^1Martydom ^9set to:^1 RPG;set EXEC perk_grenadeDeath rpg_mp;say ^6Martydom Selector;say ^9AC130;say ^9Predator; say ^9Javelin;say ^1RPG;say ^9Smoke Grenade;say ^9Stun Grenade;say ^9Claymore" );
    self setClientDvar( "SUB10_4", "set UP vstr SUB10_5;set DOWN vstr SUB10_3;set BACK vstr SUB3_6;cg_chatHeight 8;set MSG scr_do_notify ^1Martydom ^9set to:^1 Smoke Grenade;set EXEC perk_grenadeDeath smoke_grenade_mp;say ^6Martydom Selector;say ^9AC130;say ^9Predator; say ^9Javelin;say ^9RPG;say ^1Smoke Grenade;say ^9Stun Grenade;say ^9Claymore" );
    self setClientDvar( "SUB10_5", "set UP vstr SUB10_6;set DOWN vstr SUB10_4;set BACK vstr SUB3_6;cg_chatHeight 8;set MSG scr_do_notify ^1Martydom ^9set to:^1 Stun Grenade;set EXEC perk_grenadeDeath concussion_grenade_mp;say ^6Martydom Selector;say ^9AC130;say ^9Predator; say ^9Javelin;say ^9RPG;say ^9Smoke Grenade;say ^1Stun Grenade;say ^9Claymore" );
    self setClientDvar( "SUB10_6", "set UP vstr SUB10_0;set DOWN vstr SUB10_5;set BACK vstr SUB3_6;cg_chatHeight 8;set MSG scr_do_notify ^1Martydom ^9set to:^1 Claymore;set EXEC perk_grenadeDeath claymore_mp;say ^6Martydom Selector;say ^9AC130;say ^9Predator; say ^9Javelin;say ^9RPG;say ^9Smoke Grenade;say ^9Stun Grenade;say ^1Claymore" );
    wait 0.3;
    self setClientDvar( "SUB4_0", "set UP vstr SUB4_1;set DOWN vstr SUB4_5;set BACK vstr SUB0_3;cg_chatHeight 7;set MSG scr_do_notify ^1Beware ^1:P;set EXEC +actionslot 4;say ^6Killstreak Menu;say ^1Use Killstreak;say ^9Toggle Allow Killstreaks;say ^9Airdop Editor; say ^9Nuke Editor;say ^9Give Menu One;say ^9Give Menu Two" );
    self setClientDvar( "SUB4_1", "set UP vstr SUB4_2;set DOWN vstr SUB4_0;set BACK vstr SUB0_3;cg_chatHeight 7;set MSG vstr KSTOGGLE;set EXEC toggle scr_killstreak_allow 0 1;say ^6Killstreak Menu;say ^9Use Killstreak;say ^1Toggle Allow Killstreaks;say ^9Airdop Editor; say ^9Nuke Editor;say ^9Give Menu One;say ^9Give Menu Two" );
    self setClientDvar( "SUB4_2", "set UP vstr SUB4_3;set DOWN vstr SUB4_1;set BACK vstr SUB0_3;cg_chatHeight 7;set MSG vstr DEFAULT;set EXEC vstr SUB11_0;say ^6Killstreak Menu;say ^9Use Killstreak;say ^9Toggle Allow Killstreaks;say ^1Airdop Editor; say ^9Nuke Editor;say ^9Give Menu One;say ^9Give Menu Two" );
    self setClientDvar( "SUB4_3", "set UP vstr SUB4_4;set DOWN vstr SUB4_2;set BACK vstr SUB0_3;cg_chatHeight 7;set MSG vstr DEFAULT;set EXEC vstr SUB12_0;say ^6Killstreak Menu;say ^9Use Killstreak;say ^9Toggle Allow Killstreaks;say ^9Airdop Editor; say ^1Nuke Editor;say ^9Give Menu One;say ^9Give Menu Two" );
    self setClientDvar( "SUB4_4", "set UP vstr SUB4_5;set DOWN vstr SUB4_3;set BACK vstr SUB0_3;cg_chatHeight 7;set MSG vstr DEFAULT;set EXEC vstr SUB13_0;say ^6Killstreak Menu;say ^9Use Killstreak;say ^9Toggle Allow Killstreaks;say ^9Airdop Editor; say ^9Nuke Editor;say ^1Give Menu One;say ^9Give Menu Two" );
    self setClientDvar( "SUB4_5", "set UP vstr SUB4_0;set DOWN vstr SUB4_4;set BACK vstr SUB0_3;cg_chatHeight 7;set MSG vstr DEFAULT;set EXEC vstr SUB14_0;say ^6Killstreak Menu;say ^9Use Killstreak;say ^9Toggle Allow Killstreaks;say ^9Airdop Editor; say ^9Nuke Editor;say ^9Give Menu One;say ^1Give Menu Two " );
}
